Navigation

Bootstrap navigation / Bootstrap header

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Note: To see more advanced implementations of Bootstrap Header and Navigation have a look at:

  1. Bootstrap Skins

  2. Bootstrap Intros


MDB provides you several useful, ready-to-use navigation layouts with various predefined navigation types.

1. Regular fixed Navbar

2. Regular non-fixed Navbar

3. Full Page Intro with a non-fixed Navbar

4. Full Page Intro with fixed Navbar

5. Full Page Intro with a fixed, transparent Navbar

6. Full Page Intro with a non-fixed, transparent Navbar

7. Double Navigation with fixed SideNav & fixed Navbar

8. Double Navigation with fixed SideNav & a non-fixed Navbar

9. Double Navigation with a hidden SideNav & fixed Navbar

10. Double Navigation with a hidden SideNav & a non-fixed Navbar

11. Double Navigation with fixed SideNav under fixed Navbar

12. Double Navigation with a hidden SideNav under fixed Navbar

13. Double Navigation with slim SideNav and fixed Navbar


Regular fixed Navbar

        
            

        <!--Main Navigation-->
        <header>

          <nav class="navbar fixed-top navbar-expand-lg navbar-dark pink scrolling-navbar">
            <a class="navbar-brand" href="#"><strong>Navbar</strong></a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
              aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                  <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#">Features</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#">Pricing</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#">Opinions</a>
                </li>
              </ul>
              <ul class="navbar-nav nav-flex-icons">
                <li class="nav-item">
                  <a class="nav-link"><i class="fab fa-facebook-f"></i></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fab fa-twitter"></i></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fab fa-instagram"></i></a>
                </li>
              </ul>
            </div>
          </nav>

        </header>
        <!--Main Navigation-->

        
        
    

Regular non-fixed Navbar

        
            

        <!--Main Navigation-->
        <header>

          <nav class="navbar navbar-expand-lg navbar-dark default-color">
            <a class="navbar-brand" href="#"><strong>Navbar</strong></a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
              aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                  <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#">Features</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#">Pricing</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#">Opinions</a>
                </li>
              </ul>
              <ul class="navbar-nav nav-flex-icons">
                <li class="nav-item">
                  <a class="nav-link"><i class="fab fa-facebook-f"></i></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fab fa-twitter"></i></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fab fa-instagram"></i></a>
                </li>
              </ul>
            </div>
          </nav>

        </header>
        <!--Main Navigation-->
        
        
    

Full Page Intro with a non-fixed Navbar

        
            

        <html lang="en" class="full-height">

        <!--Main Navigation-->
        <header>

          <nav class="navbar navbar-expand-lg navbar-dark black">
            <div class="container">
              <a class="navbar-brand" href="#"><strong>Navbar</strong></a>
              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                  <li class="nav-item active">
                    <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="#">Link</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="#">Profile</a>
                  </li>
                </ul>
              </div>
            </div>
          </nav>

          <div class="view intro-2">
            <div class="full-bg-img">
              <div class="mask rgba-black-strong flex-center">
                <div class="container">
                  <div class="white-text text-center wow fadeInUp">
                    <h2>This Navbar isn't fixed</h2>
                    <h5>When you scroll down it will disappear</h5>
                    <br>
                    <p>Full page intro with background image will be always displayed in full screen mode, regardless
                      of device </p>
                  </div>
                </div>
              </div>
            </div>
          </div>

        </header>
        <!--Main Navigation-->

        <!--Main Layout-->
        <main class="text-center my-5">

          <div class="container">
            <div class="row">
              <div class="col-md-12">

                <p align="justify">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor
                  incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation
                  ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in
                  voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                  proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>

              </div>
            </div>
          </div>

        </main>
        <!--Main Layout-->

      
        
    
        
            

          .view {
            background: url("https://mdbootstrap.com/img/Photos/Others/img (51).webp")no-repeat center center;
            background-size: cover;
        }
        @media (min-width: 768px) {
            .view {
                overflow: visible;
                margin-top: -56px;
            }
        }
        .navbar {
            z-index: 1;
        }

        html,
        body,
        header,
        .view {
          height: 100%;
        }
      
        
    

Full Page Intro with a fixed Navbar

        
            

      <html lang="en" class="full-height">

      <!--Main Navigation-->
      <header>

        <nav class="navbar fixed-top navbar-expand-lg navbar-dark indigo">
          <a class="navbar-brand" href="#"><strong>Navbar</strong></a>
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
              <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Link</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#">Profile</a>
              </li>
            </ul>
          </div>
        </nav>

        <div class="view intro-2">
          <div class="full-bg-img">
            <div class="mask rgba-black-light flex-center">
              <div class="container text-center white-text">
                <div class="white-text text-center wow fadeInUp">
                  <h2>This Navbar is fixed</h2>
                  <h5>It will always stay visible on the top, even when you scroll down</h5>
                  <br>
                  <p>Full page intro with background image will be always displayed in full screen mode, regardless
                    of device </p>
                </div>
              </div>
            </div>
          </div>
        </div>

      </header>
      <!--Main Navigation-->

      <!--Main Layout-->
      <main class="text-center py-5">

        <div class="container">
          <div class="row">
            <div class="col-md-12">

              <p align="justify">quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
                Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla
                pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit
                anim id est laborum. Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor
                incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation
                ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in
                voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>

            </div>
          </div>
        </div>

      </main>
      <!--Main Layout-->

    
        
    
        
            

        .view {
          background: url("https://mdbootstrap.com/img/Photos/Others/img (50).webp")no-repeat center center;
          background-size: cover;
      }
      html,
      body,
      header,
      .view {
        height: 100%;
      }
    
        
    

Full Page Intro with a fixed, transparent Navbar

        
            

        <html lang="en" class="full-height">

        <!--Main Navigation-->
        <header>

          <nav class="navbar fixed-top navbar-expand-lg navbar-dark scrolling-navbar">
            <a class="navbar-brand" href="#"><strong>Navbar</strong></a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
              aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                  <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#">Link</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="#">Profile</a>
                </li>
              </ul>
            </div>
          </nav>

          <div class="view intro-2">
            <div class="full-bg-img">
              <div class="mask rgba-purple-light flex-center">
                <div class="container text-center white-text wow fadeInUp">
                  <h2>This Navbar is fixed and transparent</h2>
                  <br>
                  <h5>It will always stay visible on the top, even when you scroll down</h5>
                  <p>Navbar's background will switch from transparent to solid color while scrolling down</p>
                  <br>
                  <p>Full page intro with background image will be always displayed in full screen mode, regardless of
                    device </p>
                </div>
              </div>
            </div>
          </div>

        </header>
        <!--Main Navigation-->

        <!--Main Layout-->
        <main class="text-center py-5">

          <div class="container">
            <div class="row">
              <div class="col-md-12">

                <p align="justify">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor
                  incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation
                  ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in
                  voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                  proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Lorem ipsum dolor sit amet,
                  consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut
                  enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
                  consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat
                  nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt
                  mollit anim id est laborum.</p>

              </div>
            </div>
          </div>

        </main>
        <!--Main Layout-->

      
        
    
        
            

          .view {
            background: url("https://mdbootstrap.com/img/Photos/Others/img (40).webp")no-repeat center center;
            background-size: cover;
        }

        .navbar {
            background-color: transparent;
        }

        .top-nav-collapse {
            background-color: #4285F4;
        }

        @media only screen and (max-width: 768px) {
            .navbar {
                background-color: #4285F4;
            }
        }

        html,
        body,
        header,
        .view {
          height: 100%;
        }
      
        
    

Full Page Intro with a non-fixed, transparent Navbar

        
            

        <html lang="en" class="full-height">

        <!--Main Navigation-->
        <header>

          <nav class="navbar navbar-expand-lg navbar-dark">
            <div class="container">
              <a class="navbar-brand" href="#"><strong>Navbar</strong></a>
              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                  <li class="nav-item active">
                    <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="#">Link</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="#">Profile</a>
                  </li>
                </ul>
              </div>
            </div>
          </nav>

          <div class="view intro-2">
            <div class="full-bg-img">
              <div class="mask rgba-indigo-slight flex-center">
                <div class="container">
                  <div class="white-text text-center wow fadeInUp">
                    <h2>This Navbar isn't fixed</h2>
                    <h5>When you scroll down it will disappear</h5>
                    <br>
                    <p>Full page intro with background image will be always displayed in full screen mode, regardless
                      of device </p>
                  </div>
                </div>
              </div>
            </div>
          </div>

        </header>
        <!--Main Navigation-->

        <!--Main Layout-->
        <main class="text-center py-5 mt-3">

          <div class="container">
            <div class="row">
              <div class="col-md-12">

                <p align="justify">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor
                  incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation
                  ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in
                  voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
                  proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>

              </div>
            </div>
          </div>

        </main>
        <!--Main Layout-->

      
        
    
        
            

          .view {
            background: url("https://mdbootstrap.com/img/Photos/Others/img (42).webp")no-repeat center center;
            background-size: cover;
        }
        @media (min-width: 768px) {
            .view {
                overflow: visible;
                margin-top: -56px;
            }
        }
        .navbar {
            z-index: 1;
        }
        .navbar {
            background-color: transparent;
        }
        .top-nav-collapse {
            background-color: #4285F4;
        }
        @media only screen and (max-width: 768px) {
            .navbar {
                background-color: #4285F4;
            }
        }

        html,
        body,
        header,
        .view {
          height: 100%;
        }
      
        
    

Double Navigation with fixed SideNav & fixed Navbar MDB Pro component

Website with a regular fixed Navbar. Live preview
        
            

        <body class="fixed-sn light-blue-skin">

          <!--Double navigation-->
          <header>
            <!-- Sidebar navigation -->
            <div id="slide-out" class="side-nav sn-bg-4 fixed">
              <ul class="custom-scrollbar">
                <!-- Logo -->
                <li>
                  <div class="logo-wrapper waves-light">
                    <a href="#"><img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid flex-center"></a>
                  </div>
                </li>
                <!--/. Logo -->
                <!--Social-->
                <li>
                  <ul class="social">
                    <li><a href="#" class="icons-sm fb-ic"><i class="fab fa-facebook-f"> </i></a></li>
                    <li><a href="#" class="icons-sm pin-ic"><i class="fab fa-pinterest"> </i></a></li>
                    <li><a href="#" class="icons-sm gplus-ic"><i class="fab fa-google-plus-g"> </i></a></li>
                    <li><a href="#" class="icons-sm tw-ic"><i class="fab fa-twitter"> </i></a></li>
                  </ul>
                </li>
                <!--/Social-->
                <!--Search Form-->
                <li>
                  <form class="search-form" role="search">
                    <div class="form-group md-form mt-0 pt-1 waves-light">
                      <input type="text" class="form-control" placeholder="Search">
                    </div>
                  </form>
                </li>
                <!--/.Search Form-->
                <!-- Side navigation links -->
                <li>
                  <ul class="collapsible collapsible-accordion">
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-chevron-right"></i> Submit
                        blog<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">Submit listing</a>
                          </li>
                          <li><a href="#" class="waves-effect">Registration form</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-hand-pointer-o"></i>
                        Instruction<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">For bloggers</a>
                          </li>
                          <li><a href="#" class="waves-effect">For authors</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-eye"></i> About<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">Introduction</a>
                          </li>
                          <li><a href="#" class="waves-effect">Monthly meetings</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-envelope-o"></i> Contact me<i
                          class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                  </ul>
                </li>
                <!--/. Side navigation links -->
              </ul>
              <div class="sidenav-bg mask-strong"></div>
            </div>
            <!--/. Sidebar navigation -->
            <!-- Navbar -->
            <nav class="navbar fixed-top navbar-toggleable-md navbar-expand-lg scrolling-navbar double-nav">
              <!-- SideNav slide-out button -->
              <div class="float-left">
                <a href="#" data-activates="slide-out" class="button-collapse"><i class="fas fa-bars"></i></a>
              </div>
              <!-- Breadcrumb-->
              <div class="breadcrumb-dn mr-auto">
                <p>Material Design for Bootstrap</p>
              </div>
              <ul class="nav navbar-nav nav-flex-icons ml-auto">
                <li class="nav-item">
                  <a class="nav-link"><i class="fas fa-envelope"></i> <span class="clearfix d-none d-sm-inline-block">Contact</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="far fa-comments"></i> <span class="clearfix d-none d-sm-inline-block">Support</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fas fa-user"></i> <span class="clearfix d-none d-sm-inline-block">Account</span></a>
                </li>
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    Dropdown
                  </a>
                  <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <a class="dropdown-item" href="#">Something else here</a>
                  </div>
                </li>
              </ul>
            </nav>
            <!-- /.Navbar -->
          </header>
          <!--/.Double navigation-->

          <!--Main Layout-->
          <main>
            <div class="container-fluid mt-5">
              <h2>Advanced Double Navigation with fixed SideNav & fixed Navbar:</h2>
              <br>
              <h5>1. Fixed side menu, hidden on small devices.</h5>
              <h5>2. Fixed Navbar. It will always stay visible on the top, even when you scroll down.</h5>
              <div style="height: 2000px"></div>
            </div>
          </main>
          <!--Main Layout-->

        </body>

      
        
    
        
            
        
        $(document).ready(function() {

          // SideNav Button Initialization
          $(".button-collapse").sideNav();
          // SideNav Scrollbar Initialization
          var sideNavScrollbar = document.querySelector('.custom-scrollbar');
          var ps = new PerfectScrollbar(sideNavScrollbar);
        })

      
        
    

Double Navigation with fixed SideNav & a non-fixed Navbar MDB Pro component

Website with a regular fixed Navbar. Live preview
        
            

        <body class="fixed-sn pink-skin">

          <!--Double navigation-->
          <header>
            <!-- Sidebar navigation -->
            <div id="slide-out" class="side-nav sn-bg-4 fixed">
              <ul class="custom-scrollbar">
                <!-- Logo -->
                <li>
                  <div class="logo-wrapper waves-light">
                    <a href="#"><img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid flex-center"></a>
                  </div>
                </li>
                <!--/. Logo -->
                <!--Social-->
                <li>
                  <ul class="social">
                    <li><a href="#" class="icons-sm fb-ic"><i class="fab fa-facebook-f"> </i></a></li>
                    <li><a href="#" class="icons-sm pin-ic"><i class="fab fa-pinterest"> </i></a></li>
                    <li><a href="#" class="icons-sm gplus-ic"><i class="fab fa-google-plus-g"> </i></a></li>
                    <li><a href="#" class="icons-sm tw-ic"><i class="fab fa-twitter"> </i></a></li>
                  </ul>
                </li>
                <!--/Social-->
                <!--Search Form-->
                <li>
                  <form class="search-form" role="search">
                    <div class="form-group md-form mt-0 pt-1 waves-light">
                      <input type="text" class="form-control" placeholder="Search">
                    </div>
                  </form>
                </li>
                <!--/.Search Form-->
                <!-- Side navigation links -->
                <li>
                  <ul class="collapsible collapsible-accordion">
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-chevron-right"></i> Submit
                        blog<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">Submit listing</a>
                          </li>
                          <li><a href="#" class="waves-effect">Registration form</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-hand-pointer-o"></i>
                        Instruction<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">For bloggers</a>
                          </li>
                          <li><a href="#" class="waves-effect">For authors</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-eye"></i> About<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">Introduction</a>
                          </li>
                          <li><a href="#" class="waves-effect">Monthly meetings</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-envelope-o"></i> Contact me<i
                          class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                  </ul>
                </li>
                <!--/. Side navigation links -->
              </ul>
              <div class="sidenav-bg mask-strong"></div>
            </div>
            <!--/. Sidebar navigation -->
            <!-- Navbar -->
            <nav class="navbar navbar-toggleable-md navbar-expand-lg scrolling-navbar double-nav">
              <!-- SideNav slide-out button -->
              <div class="float-left">
                <a href="#" data-activates="slide-out" class="button-collapse"><i class="fas fa-bars"></i></a>
              </div>
              <!-- Breadcrumb-->
              <div class="breadcrumb-dn mr-auto">
                <p>Material Design for Bootstrap</p>
              </div>
              <ul class="nav navbar-nav nav-flex-icons ml-auto">
                <li class="nav-item">
                  <a class="nav-link"><i class="fas fa-envelope"></i> <span class="clearfix d-none d-sm-inline-block">Contact</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="far fa-comments"></i> <span class="clearfix d-none d-sm-inline-block">Support</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fas fa-user"></i> <span class="clearfix d-none d-sm-inline-block">Account</span></a>
                </li>
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    Dropdown
                  </a>
                  <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <a class="dropdown-item" href="#">Something else here</a>
                  </div>
                </li>
              </ul>
            </nav>
            <!-- /.Navbar -->
          </header>
          <!--/.Double navigation-->

          <!--Main Layout-->
          <main>
            <div class="container-fluid">
              <h2>Advanced Double Navigation with fixed SideNav & a non-fixed Navbar:</h2>
              <br>
              <h5>1. Fixed side menu, hidden on small devices.</h5>
              <h5>2. Non-fixed Navbar. It will disappear when you scroll down.</h5>
              <div style="height: 2000px"></div>
            </div>
          </main>
          <!--Main Layout-->

      
        
    
        
            
        $(document).ready(function() {

          // SideNav Button Initialization
          $(".button-collapse").sideNav();
          // SideNav Scrollbar Initialization
          var sideNavScrollbar = document.querySelector('.custom-scrollbar');
          var ps = new PerfectScrollbar(sideNavScrollbar);
        })
        
      
        
    

Double Navigation with a hidden SideNav & fixed Navbar MDB Pro component

Website with a regular fixed Navbar. Live preview
        
            

        <body class="hidden-sn mdb-skin">

          <!--Double navigation-->
          <header>
            <!-- Sidebar navigation -->
            <div id="slide-out" class="side-nav sn-bg-4">
              <ul class="custom-scrollbar">
                <!-- Logo -->
                <li>
                  <div class="logo-wrapper waves-light">
                    <a href="#"><img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid flex-center"></a>
                  </div>
                </li>
                <!--/. Logo -->
                <!--Social-->
                <li>
                  <ul class="social">
                    <li><a href="#" class="icons-sm fb-ic"><i class="fab fa-facebook-f"> </i></a></li>
                    <li><a href="#" class="icons-sm pin-ic"><i class="fab fa-pinterest"> </i></a></li>
                    <li><a href="#" class="icons-sm gplus-ic"><i class="fab fa-google-plus-g"> </i></a></li>
                    <li><a href="#" class="icons-sm tw-ic"><i class="fab fa-twitter"> </i></a></li>
                  </ul>
                </li>
                <!--/Social-->
                <!--Search Form-->
                <li>
                  <form class="search-form" role="search">
                    <div class="form-group md-form mt-0 pt-1 waves-light">
                      <input type="text" class="form-control" placeholder="Search">
                    </div>
                  </form>
                </li>
                <!--/.Search Form-->
                <!-- Side navigation links -->
                <li>
                  <ul class="collapsible collapsible-accordion">
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-chevron-right"></i> Submit
                        blog<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">Submit listing</a>
                          </li>
                          <li><a href="#" class="waves-effect">Registration form</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-hand-pointer-o"></i>
                        Instruction<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">For bloggers</a>
                          </li>
                          <li><a href="#" class="waves-effect">For authors</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-eye"></i> About<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">Introduction</a>
                          </li>
                          <li><a href="#" class="waves-effect">Monthly meetings</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-envelope-o"></i> Contact me<i
                          class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                  </ul>
                </li>
                <!--/. Side navigation links -->
              </ul>
              <div class="sidenav-bg mask-strong"></div>
            </div>
            <!--/. Sidebar navigation -->
            <!-- Navbar -->
            <nav class="navbar fixed-top navbar-toggleable-md navbar-expand-lg scrolling-navbar double-nav">
              <!-- SideNav slide-out button -->
              <div class="float-left">
                <a href="#" data-activates="slide-out" class="button-collapse"><i class="fas fa-bars"></i></a>
              </div>
              <!-- Breadcrumb-->
              <div class="breadcrumb-dn mr-auto">
                <p>Material Design for Bootstrap</p>
              </div>
              <ul class="nav navbar-nav nav-flex-icons ml-auto">
                <li class="nav-item">
                  <a class="nav-link"><i class="fas fa-envelope"></i> <span class="clearfix d-none d-sm-inline-block">Contact</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="far fa-comments"></i> <span class="clearfix d-none d-sm-inline-block">Support</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fas fa-user"></i> <span class="clearfix d-none d-sm-inline-block">Account</span></a>
                </li>
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    Dropdown
                  </a>
                  <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <a class="dropdown-item" href="#">Something else here</a>
                  </div>
                </li>
              </ul>
            </nav>
            <!-- /.Navbar -->
          </header>
          <!--/.Double navigation-->

          <!--Main Layout-->
          <main>
            <div class="container-fluid mt-5">
              <h2>Advanced Double Navigation with a hidden SideNav & fixed Navbar:</h2>
              <br>
              <h5>1. Hidden side menu. Click "hamburger" icon in the top left corner to open it.</h5>
              <h5>2. Fixed navbar. It will always stay visible on the top, even when you scroll down.</h5>
              <div style="height: 2000px"></div>
            </div>
          </main>
          <!--Main Layout-->

        </body>


      
        
    
        
            

        $(document).ready(function() {

          // SideNav Button Initialization
          $(".button-collapse").sideNav();
          // SideNav Scrollbar Initialization
          var sideNavScrollbar = document.querySelector('.custom-scrollbar');
          var ps = new PerfectScrollbar(sideNavScrollbar);
        })

      
        
    

Double Navigation with a hidden SideNav & a non-fixed Navbar MDB Pro component

Website with a regular fixed Navbar. Live preview
        
            

        <body class="hidden-sn grey-skin">

          <!--Double navigation-->
          <header>
            <!-- Sidebar navigation -->
            <div id="slide-out" class="side-nav sn-bg-4">
              <ul class="custom-scrollbar">
                <!-- Logo -->
                <li>
                  <div class="logo-wrapper waves-light">
                    <a href="#"><img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid flex-center"></a>
                  </div>
                </li>
                <!--/. Logo -->
                <!--Social-->
                <li>
                  <ul class="social">
                    <li><a href="#" class="icons-sm fb-ic"><i class="fab fa-facebook-f"> </i></a></li>
                    <li><a href="#" class="icons-sm pin-ic"><i class="fab fa-pinterest"> </i></a></li>
                    <li><a href="#" class="icons-sm gplus-ic"><i class="fab fa-google-plus-g"> </i></a></li>
                    <li><a href="#" class="icons-sm tw-ic"><i class="fab fa-twitter"> </i></a></li>
                  </ul>
                </li>
                <!--/Social-->
                <!--Search Form-->
                <li>
                  <form class="search-form" role="search">
                    <div class="form-group md-form mt-0 pt-1 waves-light">
                      <input type="text" class="form-control" placeholder="Search">
                    </div>
                  </form>
                </li>
                <!--/.Search Form-->
                <!-- Side navigation links -->
                <li>
                  <ul class="collapsible collapsible-accordion">
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-chevron-right"></i> Submit
                        blog<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">Submit listing</a>
                          </li>
                          <li><a href="#" class="waves-effect">Registration form</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-hand-pointer-o"></i>
                        Instruction<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">For bloggers</a>
                          </li>
                          <li><a href="#" class="waves-effect">For authors</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-eye"></i> About<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">Introduction</a>
                          </li>
                          <li><a href="#" class="waves-effect">Monthly meetings</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-envelope-o"></i> Contact me<i
                          class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                  </ul>
                </li>
                <!--/. Side navigation links -->
              </ul>
              <div class="sidenav-bg mask-strong"></div>
            </div>
            <!--/. Sidebar navigation -->
            <!-- Navbar -->
            <nav class="navbar navbar-toggleable-md navbar-expand-lg scrolling-navbar double-nav">
              <!-- SideNav slide-out button -->
              <div class="float-left">
                <a href="#" data-activates="slide-out" class="button-collapse"><i class="fas fa-bars"></i></a>
              </div>
              <!-- Breadcrumb-->
              <div class="breadcrumb-dn mr-auto">
                <p>Material Design for Bootstrap</p>
              </div>
              <ul class="nav navbar-nav nav-flex-icons ml-auto">
                <li class="nav-item">
                  <a class="nav-link"><i class="fas fa-envelope"></i> <span class="clearfix d-none d-sm-inline-block">Contact</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="far fa-comments"></i> <span class="clearfix d-none d-sm-inline-block">Support</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fas fa-user"></i> <span class="clearfix d-none d-sm-inline-block">Account</span></a>
                </li>
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    Dropdown
                  </a>
                  <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <a class="dropdown-item" href="#">Something else here</a>
                  </div>
                </li>
              </ul>
            </nav>
            <!-- /.Navbar -->
          </header>
          <!--/.Double navigation-->

          <!--Main Layout-->
          <main>
            <div class="container-fluid">
              <h2>Advanced Double Navigation with a hidden SideNav & a non-fixed Navbar:</h2>
              <br>
              <h5>1. Hidden side menu. Click "hamburger" icon in the top left corner to open it.</h5>
              <h5>2. Non-fixed navbar. When you scroll down it will disappear.</h5>
              <div style="height: 2000px"></div>
            </div>
          </main>
          <!--Main Layout-->

        </body>

      
        
    
        
            

        $(document).ready(function() {

          // SideNav Button Initialization
          $(".button-collapse").sideNav();
          // SideNav Scrollbar Initialization
          var sideNavScrollbar = document.querySelector('.custom-scrollbar');
          var ps = new PerfectScrollbar(sideNavScrollbar);
        })

      
        
    

Double Navigation with fixed SideNav under fixed Navbar MDB Pro component

        
            

        <body class="fixed-sn light-blue-skin">

          <!--Double navigation-->
          <header>
            <!-- Sidebar navigation -->
            <div id="slide-out" class="side-nav sn-bg-4 fixed">
              <ul class="custom-scrollbar">
                <!-- Logo -->
                <li>
                  <div class="logo-wrapper waves-light">
                    <a href="#"><img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid flex-center"></a>
                  </div>
                </li>
                <!--/. Logo -->
                <!--Social-->
                <li>
                  <ul class="social">
                    <li><a href="#" class="icons-sm fb-ic"><i class="fab fa-facebook"> </i></a></li>
                    <li><a href="#" class="icons-sm pin-ic"><i class="fab fa-pinterest"> </i></a></li>
                    <li><a href="#" class="icons-sm gplus-ic"><i class="fab fa-google-plus"> </i></a></li>
                    <li><a href="#" class="icons-sm tw-ic"><i class="fab fa-twitter"> </i></a></li>
                  </ul>
                </li>
                <!--/Social-->
                <!--Search Form-->
                <li>
                  <form class="search-form" role="search">
                    <div class="form-group md-form mt-0 pt-1 waves-light">
                      <input type="text" class="form-control" placeholder="Search">
                    </div>
                  </form>
                </li>
                <!--/.Search Form-->
                <!-- Side navigation links -->
                <li>
                  <ul class="collapsible collapsible-accordion">
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-chevron-right"></i> Submit
                        blog<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">Submit listing</a>
                          </li>
                          <li><a href="#" class="waves-effect">Registration form</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="far fa-hand-pointer"></i>
                        Instruction<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">For bloggers</a>
                          </li>
                          <li><a href="#" class="waves-effect">For authors</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="far fa-eye"></i> About<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">Introduction</a>
                          </li>
                          <li><a href="#" class="waves-effect">Monthly meetings</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="far fa-envelope"></i> Contact me<i
                          class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                  </ul>
                </li>
                <!--/. Side navigation links -->
              </ul>
              <div class="sidenav-bg mask-strong"></div>
            </div>
            <!--/. Sidebar navigation -->
            <!-- Navbar -->
            <nav class="navbar fixed-top navbar-toggleable-md navbar-expand-lg double-nav">
              <!-- SideNav slide-out button -->
              <div class="float-left">
                <a href="#" data-activates="slide-out" class="button-collapse"><i class="fa fa-bars"></i></a>
              </div>
              <!-- Breadcrumb-->
              <div class="breadcrumb-dn mr-auto">
                <p>Material Design for Bootstrap</p>
              </div>
              <ul class="nav navbar-nav nav-flex-icons ml-auto">
                <li class="nav-item">
                  <a class="nav-link"><i class="fa fa-envelope"></i> <span class="clearfix d-none d-sm-inline-block">Contact</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fa fa-comments-o"></i> <span class="clearfix d-none d-sm-inline-block">Support</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fa fa-user"></i> <span class="clearfix d-none d-sm-inline-block">Account</span></a>
                </li>
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    Dropdown
                  </a>
                  <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <a class="dropdown-item" href="#">Something else here</a>
                  </div>
                </li>
              </ul>
            </nav>
            <!-- /.Navbar -->
          </header>
          <!--/.Double navigation-->
        
          <!--Main Layout-->
          <main>
            <div class="container-fluid mt-5">
              <h2>Advanced Double Navigation with fixed SideNav & fixed Navbar:</h2>
              <br>
              <h5>1. Fixed side menu, hidden on small devices.</h5>
              <h5>2. Fixed Navbar. It will always stay visible on the top, even when you scroll down.</h5>
              <div style="height: 2000px"></div>
            </div>
          </main>
          <!--Main Layout-->
        
        </body>

        
        
    
        
            

        .navbar {
          z-index: 1040;
        }
        .side-nav {
          margin-top: 57px !important;
        }
        
        @media (min-width: 1200px){
        .fixed-sn main {
            margin-left: 20% !important;
            margin-right: 20% !important;
          }
        }

      
        
    
        
            

        $(document).ready(function() {

          // SideNav Button Initialization
          $(".button-collapse").sideNav({
            breakpoint: 1200
          });
          // SideNav Scrollbar Initialization
          var sideNavScrollbar = document.querySelector('.custom-scrollbar');
          var ps = new PerfectScrollbar(sideNavScrollbar);
        })

      
        
    

Double Navigation with a hidden SideNav under fixed Navbar MDB Pro component

        
            

        <body class="hidden-sn grey-skin">

          <!--Double navigation-->
          <header>
            <!-- Sidebar navigation -->
            <div id="slide-out" class="side-nav sn-bg-4">
              <ul class="custom-scrollbar">
                <!-- Logo -->
                <li>
                  <div class="logo-wrapper waves-light">
                    <a href="#"><img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid flex-center"></a>
                  </div>
                </li>
                <!--/. Logo -->
                <!--Social-->
                <li>
                  <ul class="social">
                    <li><a href="#" class="icons-sm fb-ic"><i class="fab fa-facebook"> </i></a></li>
                    <li><a href="#" class="icons-sm pin-ic"><i class="fab fa-pinterest"> </i></a></li>
                    <li><a href="#" class="icons-sm gplus-ic"><i class="fab fa-google-plus"> </i></a></li>
                    <li><a href="#" class="icons-sm tw-ic"><i class="fab fa-twitter"> </i></a></li>
                  </ul>
                </li>
                <!--/Social-->
                <!--Search Form-->
                <li>
                  <form class="search-form" role="search">
                    <div class="form-group md-form mt-0 pt-1 waves-light">
                      <input type="text" class="form-control" placeholder="Search">
                    </div>
                  </form>
                </li>
                <!--/.Search Form-->
                <!-- Side navigation links -->
                <li>
                  <ul class="collapsible collapsible-accordion">
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="fas fa-chevron-right"></i> Submit
                        blog<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">Submit listing</a>
                          </li>
                          <li><a href="#" class="waves-effect">Registration form</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="far fa-hand-pointer"></i>
                        Instruction<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">For bloggers</a>
                          </li>
                          <li><a href="#" class="waves-effect">For authors</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="far fa-eye"></i> About<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">Introduction</a>
                          </li>
                          <li><a href="#" class="waves-effect">Monthly meetings</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="far fa-envelope"></i> Contact me<i
                          class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                          <li><a href="#" class="waves-effect">FAQ</a>
                          </li>
                          <li><a href="#" class="waves-effect">Write a message</a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect" href="#"><i class="fas fa-pencil-alt"></i>Blog</a></li>
                    <li><a class="collapsible-header waves-effect" href="#"><i class="fas fa-newspaper"></i>News</a></li>
                    <li><a class="collapsible-header waves-effect" href="#"><i class="fas fa-desktop"></i>Magazine</a></li>
                  </ul>
                </li>
                <!--/. Side navigation links -->
              </ul>
              <div class="sidenav-bg mask-strong"></div>
            </div>
            <!--/. Sidebar navigation -->
            <!-- Navbar -->
            <nav class="navbar fixed-top navbar-toggleable-md navbar-expand-lg double-nav">
              <!-- SideNav slide-out button -->
              <div class="float-left">
                <a href="#" data-activates="slide-out" class="button-collapse"><i class="fa fa-bars"></i></a>
              </div>
              <!-- Breadcrumb-->
              <div class="breadcrumb-dn mr-auto">
                <p>Material Design for Bootstrap</p>
              </div>
              <ul class="nav navbar-nav nav-flex-icons ml-auto">
                <li class="nav-item">
                  <a class="nav-link"><i class="fa fa-envelope"></i> <span class="clearfix d-none d-sm-inline-block">Contact</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fa fa-comments-o"></i> <span class="clearfix d-none d-sm-inline-block">Support</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fa fa-user"></i> <span class="clearfix d-none d-sm-inline-block">Account</span></a>
                </li>
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    Dropdown
                  </a>
                  <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <a class="dropdown-item" href="#">Something else here</a>
                  </div>
                </li>
              </ul>
            </nav>
            <!-- /.Navbar -->
          </header>
          <!--/.Double navigation-->
        
          <!--Main Layout-->
          <main>
            <div class="container-fluid mt-5">
              <h2>Advanced Double Navigation with a hidden SideNav under fixed Navbar:</h2>
              <br>
              <h5>1. Hidden side menu. Click "hamburger" icon in the top left corner to open it</h5>
              <h5>2. Fixed Navbar. It will always stay visible on the top, even when you scroll down.</h5>
              <div style="height: 2000px"></div>
            </div>
          </main>
          <!--Main Layout-->
          
        </body>

        
        
    
        
            

        .navbar {
          z-index: 1040;
        }
        .side-nav {
          margin-top: 49px !important;
        }
        
        .double-nav .breadcrumb-dn p {
            color: #fff;
        }

      
        
    
        
            

        $(document).ready(function() {

          // SideNav Button Initialization
          $(".button-collapse").sideNav();
          // SideNav Scrollbar Initialization
          var sideNavScrollbar = document.querySelector('.custom-scrollbar');
          var ps = new PerfectScrollbar(sideNavScrollbar);
        })

      
        
    

Double Navigation with slim SideNav and fixed Navbar MDB Pro component

        
            

        <body class="fixed-sn mdb-skin">

          <!--Double navigation-->
          <header>
            <!-- Sidebar navigation -->
            <div id="slide-out" class="side-nav fixed wide sn-bg-1">
              <ul class="custom-scrollbar">
                <!-- Logo -->
                <li>
                  <div class="logo-wrapper sn-ad-avatar-wrapper">
                    <a href="#"><img src="https://mdbootstrap.com/img/Photos/Avatars/img%20(10).webp" class="rounded-circle"><span>Anna Deynah</span></a>
                  </div>
                </li>
                <!--/. Logo -->
                <!-- Side navigation links -->
                <li>
                  <ul class="collapsible collapsible-accordion">
                    <li><a class="collapsible-header waves-effect arrow-r active"><i class="sv-slim-icon fas fa-chevron-right"></i> Submit blog<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect active">
                            <span class="sv-slim"> SL </span>
                            <span class="sv-normal">Submit listing</span></a>
                          </li>
                          <li><a href="#" class="waves-effect">
                            <span class="sv-slim"> RF </span>
                            <span class="sv-normal">Registration form</span></a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="sv-slim-icon far fa-hand-point-right"></i> Instruction<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">
                            <span class="sv-slim"> FB </span>
                            <span class="sv-normal">For bloggers</span></a>
                          </li>
                          <li><a href="#" class="waves-effect">
                            <span class="sv-slim"> FA </span>
                            <span class="sv-normal">For authors</span></a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="sv-slim-icon fas fa-eye"></i> About<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">
                            <span class="sv-slim"> I </span>
                            <span class="sv-normal">Introduction</span></a>
                          </li>
                          <li><a href="#" class="waves-effect">
                            <span class="sv-slim"> MM </span>
                            <span class="sv-normal">Monthly meetings</span></a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a class="collapsible-header waves-effect arrow-r"><i class="sv-slim-icon far fa-envelope"></i> Contact me<i class="fas fa-angle-down rotate-icon"></i></a>
                      <div class="collapsible-body">
                        <ul>
                          <li><a href="#" class="waves-effect">
                            <span class="sv-slim"> F </span>
                            <span class="sv-normal">FAQ</span></a>
                          </li>
                          <li><a href="#" class="waves-effect">
                            <span class="sv-slim"> W </span>
                            <span class="sv-normal">Write a message</span></a>
                          </li>
                        </ul>
                      </div>
                    </li>
                    <li><a id="toggle" class="waves-effect"><i class="sv-slim-icon fas fa-angle-double-left"></i>Minimize menu</a>
                    </li>
                  </ul>
                </li>
                <!--/. Side navigation links -->
              </ul>
              <div class="sidenav-bg rgba-blue-strong"></div>
            </div>
            <!--/. Sidebar navigation -->
            <!-- Navbar -->
            <nav class="navbar fixed-top navbar-toggleable-md navbar-expand-lg scrolling-navbar double-nav">
              <!-- SideNav slide-out button -->
              <div class="float-left">
                <a href="#" data-activates="slide-out" class="button-collapse"><i class="fas fa-bars"></i></a>
              </div>
              <!-- Breadcrumb-->
              <div class="breadcrumb-dn mr-auto">
                <p>Material Design for Bootstrap</p>
              </div>
              <ul class="nav navbar-nav nav-flex-icons ml-auto">
                <li class="nav-item">
                  <a class="nav-link"><i class="fas fa-envelope"></i> <span class="clearfix d-none d-sm-inline-block">Contact</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fas fa-comments"></i> <span class="clearfix d-none d-sm-inline-block">Support</span></a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"><i class="fas fa-user"></i> <span class="clearfix d-none d-sm-inline-block">Account</span></a>
                </li>
                <li class="nav-item dropdown">
                  <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    Dropdown
                  </a>
                  <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <a class="dropdown-item" href="#">Something else here</a>
                  </div>
                </li>
              </ul>
            </nav>
            <!-- /.Navbar -->
          </header>
          <!--/.Double navigation-->
        
          <!--Main Layout-->
          <main>
            <div class="container-fluid mt-5">
              <h2>Advanced Double Navigation with slim Side-nav nad fixed Navbar:</h2>
              <br>
              <h5>1. Fixed slim Side-nav, hidden on small devices.</h5>
              <h5>2. Fixed Navbar. It will always stay visible on the top, even when you scroll down.</h5>
              <div style="height: 2000px"></div>
            </div>
          </main>
          <!--Main Layout-->
        
        </body>

        
        
    
        
            

        .double-nav .breadcrumb-dn {
          color: #fff;
        }
        .side-nav.wide.slim .sn-ad-avatar-wrapper a span {
          display: none;
        }
      
        
    
        
            

          $(document).ready(function() {

            // SideNav Initialization
            $(".button-collapse").sideNav();
          })

Vue Bootstrap Navigation

Vue Navigation - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

MDB provides you several useful, ready-to-use navigation layouts with various predefined navigation types.



Version 1: fixed Navbar & over SideNav MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras dictum purus non convallis fermentum. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Quisque commodo libero non nulla pretium elementum id quis dui. Donec pretium lorem vitae viverra molestie. Cras dictum nulla ac nibh tincidunt viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent molestie magna nec felis interdum, eget ullamcorper risus vehicula. Nulla faucibus, ligula dignissim tristique ornare, enim purus convallis lectus, a bibendum lectus erat sit amet ipsum. Aenean elementum malesuada leo, eget convallis magna faucibus vitae. Sed fermentum hendrerit mauris vitae ullamcorper. Maecenas interdum, orci vitae convallis convallis, nisi tortor fermentum erat, fringilla pharetra ipsum nunc eu urna. Praesent accumsan ligula vel ligula blandit porttitor. Curabitur sit amet est quis quam commodo lobortis. Mauris congue laoreet mollis. Ut congue velit elit, luctus ultrices libero luctus aliquam. Suspendisse consequat massa at ante eleifend, et finibus metus hendrerit. Fusce elit odio, vestibulum eu velit id, faucibus consectetur mi. Vivamus eget porttitor libero, eget tincidunt mi. Ut rutrum urna lorem, sit amet gravida nunc ultrices nec. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas ligula mi, malesuada id suscipit ac, ornare nec elit. Suspendisse at augue in metus maximus laoreet. Vivamus egestas volutpat vestibulum. Mauris porttitor nisi eu turpis volutpat consectetur. Nunc ultricies nulla gravida, gravida lorem vitae, consequat velit. Nullam suscipit arcu eu lectus feugiat, at accumsan metus venenatis. Proin et tortor ex. Suspendisse potenti. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed in neque ut urna egestas commodo sit amet pulvinar orci. Nulla facilisi. Suspendisse ligula velit, tempor nec mollis nec, dignissim sit amet mi. Quisque sit amet nibh quam. Aliquam eu risus at magna tristique molestie a a eros. Praesent quis ornare libero, vitae molestie orci. Sed luctus sem a massa faucibus aliquet. Nam fermentum eros eget risus suscipit pharetra. Ut ac nisl ipsum. Nunc maximus urna nec ipsum pulvinar, ac ultricies magna sagittis. Sed semper odio turpis, sed sodales ante efficitur quis. Vivamus tincidunt, ipsum non tristique elementum, dolor eros vehicula leo, sit amet lobortis enim lectus ac dui. Vestibulum ut nisl nec nunc pharetra euismod at non odio. Donec vestibulum condimentum sagittis. Nunc quis tortor at libero maximus euismod. In non tortor consectetur, tristique lectus in, pulvinar metus. Vivamus interdum magna magna, id imperdiet tortor accumsan sed. Vestibulum vitae mauris ac lectus faucibus efficitur vitae quis ligula. Nam vel placerat turpis. Nam luctus suscipit pretium. Ut ut tristique tellus. Duis imperdiet condimentum accumsan. Nunc sodales ultrices dolor sed commodo. In quam arcu, maximus non enim quis, cursus feugiat erat. Etiam sollicitudin semper libero et dictum.

        
            
          <template>
            <div>
              <mdb-navbar position="top" :toggler="false" color="white">
                <mdb-navbar-nav left>
                  <mdb-icon icon="bars" class="dark-grey-text" size="2x" @click.native="show = !show" />
                </mdb-navbar-nav>
                <mdb-navbar-nav class="nav-flex-icons" right>
                  <mdb-nav-item to="/navigation/pro/double-navigation-v1" waves-fixed active icon="code-branch">
                    <span class="ml-1">v.1</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v2" waves-fixed
                    icon="eye"><span class="ml-1">v.2</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v3" waves-fixed
                    icon="file-code" far><span class="ml-1">v.3</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v4" waves-fixed
                    icon="terminal"><span class="ml-1">v.4</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v5" waves-fixed
                    icon="smile" far><span class="ml-1">v.5</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v6" waves-fixed
                    icon="user" far><span class="ml-1">v.6</span></mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar>
              <!--/.Navbar-->
              <mdb-side-nav-2 v-model="show" over :data="navigation" color="success">
                <div slot="header">
                  <div class="p-5">
                    <img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid" />
                  </div>
                  <hr />
                  <ul class="list-unstyled d-flex justify-content-center">
                    <li>
                      <a href="#" tabindex="0" class="px-3 icons-sm fb-ic">
                            <mdb-icon color="grey" fab icon="facebook-f" />
                          </a>
                    </li>
                    <li>
                      <a href="#" tabindex="0" class="px-3 icons-sm pin-ic">
                            <mdb-icon color="grey" fab icon="pinterest-p" />
                          </a>
                    </li>
                    <li>
                      <a href="#" tabindex="0" class="px-3 icons-sm gplus-ic">
                            <mdb-icon color="grey" fab icon="google-plus-g" />
                          </a>
                    </li>
                    <li>
                      <a href="#" tabindex="0" class="px-3 icons-sm tw-ic">
                            <mdb-icon color="grey" fab icon="twitter" />
                          </a>
                    </li>
                  </ul>
                  <hr />
                </div>
              </mdb-side-nav-2>
              <div style="height: 100vh;">
                <div class="view intro-2">
                  <div class="full-bg-img">
                    <div class="mask rgba-grey-strong flex-center">
                      <div class="container">
                        <div class="white-text text-center">
                          <h2 class="font-weight-bold">
                            Double navigation v.1
                          </h2>
                          <hr />
                          <h3><strong>Navbar:</strong> <u>Fixed</u></h3>
                          <h3><strong>Sidenav:</strong> <u>Over</u></h3>
                          <mdb-btn rounded color="white" class="mt-5">
                            <router-link to="/navigation" class="dark-grey-text">Go back to the navigation menu
                            </router-link>
                          </mdb-btn>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbSideNav2,
              mdbBtn,
              mdbIcon,
              waves
            } from "mdbvue";
            export default {
              name: "DoubleNavigationPagev1",
              components: {
                mdbNavbar,
                mdbNavItem,
                mdbNavbarNav,
                mdbSideNav2,
                mdbBtn,
                mdbIcon
              },
              data() {
                return {
                  show: false,
                  navigation: [{
                      name: "Double navigation",
                      icon: "bars",
                      children: [{
                          name: "Version 1",
                          to: "/navigation/pro/double-navigation-v1"
                        },
                        {
                          name: "Version 2",
                          to: "/navigation/pro/double-navigation-v2"
                        },
                        {
                          name: "Version 3",
                          to: "/navigation/pro/double-navigation-v3"
                        },
                        {
                          name: "Version 4",
                          to: "/navigation/pro/double-navigation-v4"
                        },
                        {
                          name: "Version 5",
                          to: "/navigation/pro/double-navigation-v5"
                        },
                        {
                          name: "Version 6",
                          to: "/navigation/pro/double-navigation-v6"
                        }
                      ]
                    },
                    {
                      name: "Getting started",
                      icon: "mdb",
                      fab: true,
                      children: [{
                          name: "Quick start",
                          href: "https://mdbootstrap.com/docs/b4/vue/getting-started/quick-start/"
                        },
                        {
                          name: "Technical Support",
                          href: "https://mdbootstrap.com/support/"
                        }
                      ]
                    },
                    {
                      name: "Documentation",
                      icon: "graduation-cap",
                      href: "https://mdbootstrap.com/docs/b4/vue/"
                    }
                  ]
                };
              },
              mixins: [waves]
            };
          </script>
          
        
    
        
            
          <style scoped>
            .view {
              background: url("https://mdbootstrap.com/img/Photos/Others/img (52).webp") no-repeat center center;
              background-size: cover;
              height: 100%;
            }
            .navbar i {
              cursor: pointer;
              color: white;
            }
          </style>
          
        
    

Version 2: non-fixed Navbar & over SideNav MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras dictum purus non convallis fermentum. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Quisque commodo libero non nulla pretium elementum id quis dui. Donec pretium lorem vitae viverra molestie. Cras dictum nulla ac nibh tincidunt viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent molestie magna nec felis interdum, eget ullamcorper risus vehicula. Nulla faucibus, ligula dignissim tristique ornare, enim purus convallis lectus, a bibendum lectus erat sit amet ipsum. Aenean elementum malesuada leo, eget convallis magna faucibus vitae. Sed fermentum hendrerit mauris vitae ullamcorper. Maecenas interdum, orci vitae convallis convallis, nisi tortor fermentum erat, fringilla pharetra ipsum nunc eu urna. Praesent accumsan ligula vel ligula blandit porttitor. Curabitur sit amet est quis quam commodo lobortis. Mauris congue laoreet mollis. Ut congue velit elit, luctus ultrices libero luctus aliquam. Suspendisse consequat massa at ante eleifend, et finibus metus hendrerit. Fusce elit odio, vestibulum eu velit id, faucibus consectetur mi. Vivamus eget porttitor libero, eget tincidunt mi. Ut rutrum urna lorem, sit amet gravida nunc ultrices nec. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas ligula mi, malesuada id suscipit ac, ornare nec elit. Suspendisse at augue in metus maximus laoreet. Vivamus egestas volutpat vestibulum. Mauris porttitor nisi eu turpis volutpat consectetur. Nunc ultricies nulla gravida, gravida lorem vitae, consequat velit. Nullam suscipit arcu eu lectus feugiat, at accumsan metus venenatis. Proin et tortor ex. Suspendisse potenti. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed in neque ut urna egestas commodo sit amet pulvinar orci. Nulla facilisi. Suspendisse ligula velit, tempor nec mollis nec, dignissim sit amet mi. Quisque sit amet nibh quam. Aliquam eu risus at magna tristique molestie a a eros. Praesent quis ornare libero, vitae molestie orci. Sed luctus sem a massa faucibus aliquet. Nam fermentum eros eget risus suscipit pharetra. Ut ac nisl ipsum. Nunc maximus urna nec ipsum pulvinar, ac ultricies magna sagittis. Sed semper odio turpis, sed sodales ante efficitur quis. Vivamus tincidunt, ipsum non tristique elementum, dolor eros vehicula leo, sit amet lobortis enim lectus ac dui. Vestibulum ut nisl nec nunc pharetra euismod at non odio. Donec vestibulum condimentum sagittis. Nunc quis tortor at libero maximus euismod. In non tortor consectetur, tristique lectus in, pulvinar metus. Vivamus interdum magna magna, id imperdiet tortor accumsan sed. Vestibulum vitae mauris ac lectus faucibus efficitur vitae quis ligula. Nam vel placerat turpis. Nam luctus suscipit pretium. Ut ut tristique tellus. Duis imperdiet condimentum accumsan. Nunc sodales ultrices dolor sed commodo. In quam arcu, maximus non enim quis, cursus feugiat erat. Etiam sollicitudin semper libero et dictum.

        
            
          <template>
            <div>
              <mdb-navbar tag="div" dark color="grey" class="darken-1" :toggler="false">
                <mdb-navbar-nav left>
                  <mdb-icon icon="bars" size="2x" class="white-text" @click.native="show = !show" />
                </mdb-navbar-nav>
                <mdb-navbar-nav class="nav-flex-icons" right>
                  <mdb-nav-item to="/navigation/pro/double-navigation-v1" waves-fixed icon="code-branch">
                    <span class="ml-1">v.1</span></mdb-nav-item>
                  <mdb-nav-item to="/navigation/pro/double-navigation-v2" active waves-fixed icon="eye">
                    <span class="ml-1">v.2</span></mdb-nav-item>
                  <mdb-nav-item to="/navigation/pro/double-navigation-v3" waves-fixed icon="file-code" far>
                    <span class="ml-1">v.3</span></mdb-nav-item>
                  <mdb-nav-item to="/navigation/pro/double-navigation-v4" waves-fixed icon="terminal">
                    <span class="ml-1">v.4</span></mdb-nav-item>
                  <mdb-nav-item to="/navigation/pro/double-navigation-v5" waves-fixed icon="smile" far>
                    <span class="ml-1">v.5</span></mdb-nav-item>
                  <mdb-nav-item to="/navigation/pro/double-navigation-v6" waves-fixed icon="user" far>
                    <span class="ml-1">v.6</span></mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar>
              <!--/.Navbar-->
              <mdb-side-nav-2 v-model="show" :data="navigation" over color="stylish">
                <div slot="header">
                  <div class="p-5">
                    <img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid" />
                  </div>
                  <hr />
                  <ul class="list-unstyled d-flex justify-content-center">
                    <li>
                      <a href="#" tabindex="0" class="px-3 icons-sm fb-ic">
                            <mdb-icon color="grey" fab icon="facebook-f" />
                          </a>
                    </li>
                    <li>
                      <a href="#" tabindex="0" class="px-3 icons-sm pin-ic">
                            <mdb-icon color="grey" fab icon="pinterest-p" />
                          </a>
                    </li>
                    <li>
                      <a href="#" tabindex="0" class="px-3 icons-sm gplus-ic">
                            <mdb-icon color="grey" fab icon="google-plus-g" />
                          </a>
                    </li>
                    <li>
                      <a href="#" tabindex="0" class="px-3 icons-sm tw-ic">
                            <mdb-icon color="grey" fab icon="twitter" />
                          </a>
                    </li>
                  </ul>
                  <hr />
                  <mdb-input label="Search" class="mx-2" />
                </div>
              </mdb-side-nav-2>
              <div style="height: 110vh">
                <div class="view intro-2">
                  <div class="full-bg-img">
                    <div class="mask rgba-white-strong">
                      <div class="container flex-center">
                        <div class="dark-grey-text">
                          <h2 class="font-weight-bold">
                            Double navigation v.2
                          </h2>
                          <hr />
                          <h3><strong>Navbar:</strong> <u>Non-Fixed</u></h3>
                          <h3><strong>Sidenav:</strong> <u>Over</u></h3>
                          <mdb-btn rounded color="grey" class="mt-5">
                            <router-link to="/navigation" class="white-text">Go back to the navigation menu</router-link>
                          </mdb-btn>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbInput,
              mdbSideNav2,
              mdbBtn,
              mdbIcon,
              waves
            } from "mdbvue";
            export default {
              name: "DoubleNavigationPagev1",
              components: {
                mdbNavbar,
                mdbNavItem,
                mdbNavbarNav,
                mdbInput,
                mdbSideNav2,
                mdbBtn,
                mdbIcon
              },
              data() {
                return {
                  show: false,
                  navigation: [{
                      name: "Double navigation",
                      icon: "bars",
                      children: [{
                          name: "Version 1",
                          to: "/navigation/pro/double-navigation-v1"
                        },
                        {
                          name: "Version 2",
                          to: "/navigation/pro/double-navigation-v2"
                        },
                        {
                          name: "Version 3",
                          to: "/navigation/pro/double-navigation-v3"
                        },
                        {
                          name: "Version 4",
                          to: "/navigation/pro/double-navigation-v4"
                        },
                        {
                          name: "Version 5",
                          to: "/navigation/pro/double-navigation-v5"
                        },
                        {
                          name: "Version 6",
                          to: "/navigation/pro/double-navigation-v6"
                        }
                      ]
                    },
                    {
                      name: "Getting started",
                      icon: "mdb",
                      fab: true,
                      children: [{
                          name: "Quick start",
                          href: "https://mdbootstrap.com/docs/b4/vue/getting-started/quick-start/"
                        },
                        {
                          name: "Technical Support",
                          href: "https://mdbootstrap.com/support/"
                        }
                      ]
                    },
                    {
                      name: "Documentation",
                      icon: "graduation-cap",
                      href: "https://mdbootstrap.com/docs/b4/vue/"
                    }
                  ]
                };
              },
              mixins: [waves]
            };
          </script>
          
        
    
        
            
          <style scoped>
            .view {
              background: url("https://mdbootstrap.com/img/Photos/Others/img (53).webp") no-repeat center center;
              background-size: cover;
              height: 100%;
            }
          </style>
          
        
    

Version 3: fixed Navbar and side SideNav MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras dictum purus non convallis fermentum. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Quisque commodo libero non nulla pretium elementum id quis dui. Donec pretium lorem vitae viverra molestie. Cras dictum nulla ac nibh tincidunt viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent molestie magna nec felis interdum, eget ullamcorper risus vehicula. Nulla faucibus, ligula dignissim tristique ornare, enim purus convallis lectus, a bibendum lectus erat sit amet ipsum. Aenean elementum malesuada leo, eget convallis magna faucibus vitae. Sed fermentum hendrerit mauris vitae ullamcorper. Maecenas interdum, orci vitae convallis convallis, nisi tortor fermentum erat, fringilla pharetra ipsum nunc eu urna. Praesent accumsan ligula vel ligula blandit porttitor. Curabitur sit amet est quis quam commodo lobortis. Mauris congue laoreet mollis. Ut congue velit elit, luctus ultrices libero luctus aliquam. Suspendisse consequat massa at ante eleifend, et finibus metus hendrerit. Fusce elit odio, vestibulum eu velit id, faucibus consectetur mi. Vivamus eget porttitor libero, eget tincidunt mi. Ut rutrum urna lorem, sit amet gravida nunc ultrices nec. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas ligula mi, malesuada id suscipit ac, ornare nec elit. Suspendisse at augue in metus maximus laoreet. Vivamus egestas volutpat vestibulum. Mauris porttitor nisi eu turpis volutpat consectetur. Nunc ultricies nulla gravida, gravida lorem vitae, consequat velit. Nullam suscipit arcu eu lectus feugiat, at accumsan metus venenatis. Proin et tortor ex. Suspendisse potenti. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed in neque ut urna egestas commodo sit amet pulvinar orci. Nulla facilisi. Suspendisse ligula velit, tempor nec mollis nec, dignissim sit amet mi. Quisque sit amet nibh quam. Aliquam eu risus at magna tristique molestie a a eros. Praesent quis ornare libero, vitae molestie orci. Sed luctus sem a massa faucibus aliquet. Nam fermentum eros eget risus suscipit pharetra. Ut ac nisl ipsum. Nunc maximus urna nec ipsum pulvinar, ac ultricies magna sagittis. Sed semper odio turpis, sed sodales ante efficitur quis. Vivamus tincidunt, ipsum non tristique elementum, dolor eros vehicula leo, sit amet lobortis enim lectus ac dui. Vestibulum ut nisl nec nunc pharetra euismod at non odio. Donec vestibulum condimentum sagittis. Nunc quis tortor at libero maximus euismod. In non tortor consectetur, tristique lectus in, pulvinar metus. Vivamus interdum magna magna, id imperdiet tortor accumsan sed. Vestibulum vitae mauris ac lectus faucibus efficitur vitae quis ligula. Nam vel placerat turpis. Nam luctus suscipit pretium. Ut ut tristique tellus. Duis imperdiet condimentum accumsan. Nunc sodales ultrices dolor sed commodo. In quam arcu, maximus non enim quis, cursus feugiat erat. Etiam sollicitudin semper libero et dictum.

        
            
          <template>
            <mdb-side-nav-2 v-model="show" :data="navigation" :over="over" @setOffset="togglerOffset = $event"
              v-mdb-resize:start="checkWidth">
              <div slot="header">
                <div class="p-5">
                  <img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid" />
                </div>
                <hr />
                <ul class="list-unstyled d-flex justify-content-center">
                  <li>
                    <a href="#" class="px-3 icons-sm fb-ic">
                          <mdb-icon color="primary" fab icon="facebook-f" />
                        </a>
                  </li>
                  <li>
                    <a href="#" class="px-3 icons-sm pin-ic">
                          <mdb-icon color="primary" fab icon="pinterest-p" />
                        </a>
                  </li>
                  <li>
                    <a href="#" class="px-3 icons-sm gplus-ic">
                          <mdb-icon color="primary" fab icon="google-plus-g" />
                        </a>
                  </li>
                  <li>
                    <a href="#" class="px-3 icons-sm tw-ic">
                          <mdb-icon color="primary" fab icon="twitter" />
                        </a>
                  </li>
                </ul>
                <hr />
                <mdb-input label="Search" />
              </div>
              <mdb-navbar slot="nav" position="top" color="white" :toggler="false">
                <mdb-navbar-nav left>
                  <mdb-icon :style="{
                          paddingLeft: togglerOffset + 'px',
                          transition: 'padding-left .3s linear'
                        }" icon="bars" color="primary" size="lg" @click.native="show = !show" />
                </mdb-navbar-nav>
                <mdb-navbar-nav class="nav-flex-icons" right>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v1" waves-fixed
                    icon="code-branch"><span class="ml-1">v.1</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v2" waves-fixed
                    icon="eye"><span class="ml-1">v.2</span></mdb-nav-item>
                  <mdb-nav-item to="/navigation/pro/double-navigation-v3" waves-fixed icon="file-code" far>
                    <span class="ml-1">v.3</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v4" waves-fixed
                    icon="terminal"><span class="ml-1">v.4</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v5" waves-fixed
                    icon="smile" far><span class="ml-1">v.5</span></mdb-nav-item>
                  <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v6" waves-fixed
                    icon="user" far><span class="ml-1">v.6</span></mdb-nav-item>
                </mdb-navbar-nav>
              </mdb-navbar>
              <div slot="main" style="height: 100vh">
                <div class="view intro-2">
                  <div class="full-bg-img">
                    <div class="mask rgba-white-strong flex-center">
                      <div class="container">
                        <div class="text-primary ">
                          <h2 class="font-weight-bold">
                            Double navigation v.3
                          </h2>
                          <hr />
                          <h3><strong>Navbar:</strong> <u>Fixed</u></h3>
                          <h3>
                            <strong>Sidenav:</strong> <u>Side</u> (changing to
                            <u>Over</u> below 900px breakpoint)
                          </h3>
                          <mdb-btn rounded color="primary" class="mt-5">
                            <router-link to="/navigation" class="white-text">Go back to the navigation menu</router-link>
                          </mdb-btn>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </mdb-side-nav-2>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbInput,
              mdbSideNav2,
              mdbBtn,
              mdbIcon,
              waves,
              mdbResize
            } from "mdbvue";
            export default {
              name: "DoubleNavigationPagev1",
              components: {
                mdbNavbar,
                mdbNavItem,
                mdbNavbarNav,
                mdbInput,
                mdbSideNav2,
                mdbBtn,
                mdbIcon
              },
              data() {
                return {
                  show: true,
                  over: false,
                  togglerOffset: 0,
                  navigation: [{
                      name: "Double navigation",
                      icon: "bars",
                      children: [{
                          name: "Version 1",
                          to: "/navigation/pro/double-navigation-v1"
                        },
                        {
                          name: "Version 2",
                          to: "/navigation/pro/double-navigation-v2"
                        },
                        {
                          name: "Version 3",
                          to: "/navigation/pro/double-navigation-v3"
                        },
                        {
                          name: "Version 4",
                          to: "/navigation/pro/double-navigation-v4"
                        },
                        {
                          name: "Version 5",
                          to: "/navigation/pro/double-navigation-v5"
                        },
                        {
                          name: "Version 6",
                          to: "/navigation/pro/double-navigation-v6"
                        }
                      ]
                    },
                    {
                      name: "Getting started",
                      icon: "mdb",
                      fab: true,
                      children: [{
                          name: "Quick start",
                          href: "https://mdbootstrap.com/docs/b4/vue/getting-started/quick-start/"
                        },
                        {
                          name: "Technical Support",
                          href: "https://mdbootstrap.com/support/"
                        }
                      ]
                    },
                    {
                      name: "Documentation",
                      icon: "graduation-cap",
                      href: "https://mdbootstrap.com/docs/b4/vue/"
                    }
                  ]
                };
              },
              methods: {
                checkWidth() {
                  this.over = window.innerWidth < 900;
                }
              },
              mixins: [waves],
              directives: {
                mdbResize
              }
            };
          </script>
          
        
    
        
            
          <style scoped>
            .view {
              background: url("https://mdbootstrap.com/img/Photos/Others/img (44).webp") no-repeat center center;
              background-size: cover;
              height: 100%;
            }
            .navbar i {
              cursor: pointer;
              color: white;
            }
          </style>
          
        
    

Version 4: non-fixed Navbar and side SideNav MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras dictum purus non convallis fermentum. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Quisque commodo libero non nulla pretium elementum id quis dui. Donec pretium lorem vitae viverra molestie. Cras dictum nulla ac nibh tincidunt viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent molestie magna nec felis interdum, eget ullamcorper risus vehicula. Nulla faucibus, ligula dignissim tristique ornare, enim purus convallis lectus, a bibendum lectus erat sit amet ipsum. Aenean elementum malesuada leo, eget convallis magna faucibus vitae. Sed fermentum hendrerit mauris vitae ullamcorper. Maecenas interdum, orci vitae convallis convallis, nisi tortor fermentum erat, fringilla pharetra ipsum nunc eu urna. Praesent accumsan ligula vel ligula blandit porttitor. Curabitur sit amet est quis quam commodo lobortis. Mauris congue laoreet mollis. Ut congue velit elit, luctus ultrices libero luctus aliquam. Suspendisse consequat massa at ante eleifend, et finibus metus hendrerit. Fusce elit odio, vestibulum eu velit id, faucibus consectetur mi. Vivamus eget porttitor libero, eget tincidunt mi. Ut rutrum urna lorem, sit amet gravida nunc ultrices nec. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas ligula mi, malesuada id suscipit ac, ornare nec elit. Suspendisse at augue in metus maximus laoreet. Vivamus egestas volutpat vestibulum. Mauris porttitor nisi eu turpis volutpat consectetur. Nunc ultricies nulla gravida, gravida lorem vitae, consequat velit. Nullam suscipit arcu eu lectus feugiat, at accumsan metus venenatis. Proin et tortor ex. Suspendisse potenti. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed in neque ut urna egestas commodo sit amet pulvinar orci. Nulla facilisi. Suspendisse ligula velit, tempor nec mollis nec, dignissim sit amet mi. Quisque sit amet nibh quam. Aliquam eu risus at magna tristique molestie a a eros. Praesent quis ornare libero, vitae molestie orci. Sed luctus sem a massa faucibus aliquet. Nam fermentum eros eget risus suscipit pharetra. Ut ac nisl ipsum. Nunc maximus urna nec ipsum pulvinar, ac ultricies magna sagittis. Sed semper odio turpis, sed sodales ante efficitur quis. Vivamus tincidunt, ipsum non tristique elementum, dolor eros vehicula leo, sit amet lobortis enim lectus ac dui. Vestibulum ut nisl nec nunc pharetra euismod at non odio. Donec vestibulum condimentum sagittis. Nunc quis tortor at libero maximus euismod. In non tortor consectetur, tristique lectus in, pulvinar metus. Vivamus interdum magna magna, id imperdiet tortor accumsan sed. Vestibulum vitae mauris ac lectus faucibus efficitur vitae quis ligula. Nam vel placerat turpis. Nam luctus suscipit pretium. Ut ut tristique tellus. Duis imperdiet condimentum accumsan. Nunc sodales ultrices dolor sed commodo. In quam arcu, maximus non enim quis, cursus feugiat erat. Etiam sollicitudin semper libero et dictum.

        
            
          <template>
            <div v-mdb-resize="checkBreakpoints">
              <mdb-side-nav-2 v-model="show" :data="navigation" :push="push" fixed-header color="white"
                sidenav-class="grey darken-3">
                <div slot="header">
                  <div class="p-5">
                    <img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid" />
                  </div>
                  <hr />
                  <ul class="list-unstyled d-flex justify-content-center">
                    <li>
                      <a href="#" class="px-3 icons-sm fb-ic">
                            <mdb-icon class="grey-text" fab icon="facebook-f" />
                          </a>
                    </li>
                    <li>
                      <a href="#" class="px-3 icons-sm pin-ic">
                            <mdb-icon class="grey-text" fab icon="pinterest-p" />
                          </a>
                    </li>
                    <li>
                      <a href="#" class="px-3 icons-sm gplus-ic">
                            <mdb-icon class="grey-text" fab icon="google-plus-g" />
                          </a>
                    </li>
                    <li>
                      <a href="#" class="px-3 icons-sm tw-ic">
                            <mdb-icon class="grey-text" fab icon="twitter" />
                          </a>
                    </li>
                  </ul>
                  <hr />
                </div>
                <mdb-navbar slot="nav" tag="div" class="grey" :toggler="false">
                  <mdb-navbar-nav left>
                    <mdb-icon icon="bars" class="dark-grey-text" size="lg" @click.native="show = !show" />
                  </mdb-navbar-nav>
                  <mdb-navbar-nav class="nav-flex-icons" right>
                    <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v1" waves-fixed
                      icon="code-branch"><span class="ml-1">v.1</span></mdb-nav-item>
                    <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v2" waves-fixed
                      icon="eye"><span class="ml-1">v.2</span></mdb-nav-item>
                    <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v3" waves-fixed
                      icon="file-code" far><span class="ml-1">v.3</span></mdb-nav-item>
                    <mdb-nav-item active anchor-class="white-text" to="/navigation/pro/double-navigation-v4" waves-fixed
                      icon="terminal"><span class="ml-1">v.4</span></mdb-nav-item>
                    <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v5" waves-fixed
                      icon="smile" far><span class="ml-1">v.5</span></mdb-nav-item>
                    <mdb-nav-item anchor-class="dark-grey-text" to="/navigation/pro/double-navigation-v6" waves-fixed
                      icon="user" far><span class="ml-3">v.6</span></mdb-nav-item>
                  </mdb-navbar-nav>
                </mdb-navbar>
                <div slot="main" style="height: 100vh">
                  <div class="view intro-2">
                    <div class="full-bg-img">
                      <div class="mask rgba-grey-strong flex-center">
                        <div class="container">
                          <div class="white-text text-center">
                            <h2 class="font-weight-bold">
                              Double navigation v.4
                            </h2>
                            <hr />
                            <h3><strong>Navbar:</strong> <u>Non-fixed</u></h3>
                            <h3>
                              <strong>Sidenav:</strong> <u>Side</u> (changing to
                              <u>Push</u> below 900px breakpoint)
                            </h3>
                            <mdb-btn rounded color="grey" class="mt-5">
                              <router-link to="/navigation" class="white-text">Go back to the navigation menu
                              </router-link>
                            </mdb-btn>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </mdb-side-nav-2>
            </div>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbSideNav2,
              mdbBtn,
              mdbIcon,
              mdbResize,
              waves
            } from "mdbvue";
            export default {
              name: "DoubleNavigationPagev1",
              components: {
                mdbNavbar,
                mdbNavItem,
                mdbNavbarNav,
                mdbSideNav2,
                mdbBtn,
                mdbIcon
              },
              data() {
                return {
                  show: true,
                  push: false,
                  navigation: [{
                      name: "Double navigation",
                      icon: "bars",
                      children: [{
                          name: "Version 1",
                          to: "/navigation/pro/double-navigation-v1"
                        },
                        {
                          name: "Version 2",
                          to: "/navigation/pro/double-navigation-v2"
                        },
                        {
                          name: "Version 3",
                          to: "/navigation/pro/double-navigation-v3"
                        },
                        {
                          name: "Version 4",
                          to: "/navigation/pro/double-navigation-v4"
                        },
                        {
                          name: "Version 5",
                          to: "/navigation/pro/double-navigation-v5"
                        },
                        {
                          name: "Version 6",
                          to: "/navigation/pro/double-navigation-v6"
                        }
                      ]
                    },
                    {
                      name: "Getting started",
                      icon: "mdb",
                      fab: true,
                      children: [{
                          name: "Quick start",
                          href: "https://mdbootstrap.com/docs/b4/vue/getting-started/quick-start/"
                        },
                        {
                          name: "Technical Support",
                          href: "https://mdbootstrap.com/support/"
                        }
                      ]
                    },
                    {
                      name: "Documentation",
                      icon: "graduation-cap",
                      href: "https://mdbootstrap.com/docs/b4/vue/"
                    }
                  ]
                };
              },
              methods: {
                checkBreakpoints() {
                  this.push = window.innerWidth < 900;
                }
              },
              mixins: [waves],
              directives: {
                mdbResize
              }
            };
          </script>
          
        
    
        
            
          <style scoped>
            .view {
              background: url("https://mdbootstrap.com/img/Photos/Others/img (39).webp") no-repeat center center;
              background-size: cover;
              height: 100%;
            }
            .navbar i {
              cursor: pointer;
              color: white;
            }
            @media (min-width: 900px) {
              .side-toggler {
                display: none;
              }
            }
          </style>
          
        
    

Version 5: fixed Navbar & push SideNav (slim) MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras dictum purus non convallis fermentum. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Quisque commodo libero non nulla pretium elementum id quis dui. Donec pretium lorem vitae viverra molestie. Cras dictum nulla ac nibh tincidunt viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent molestie magna nec felis interdum, eget ullamcorper risus vehicula. Nulla faucibus, ligula dignissim tristique ornare, enim purus convallis lectus, a bibendum lectus erat sit amet ipsum. Aenean elementum malesuada leo, eget convallis magna faucibus vitae. Sed fermentum hendrerit mauris vitae ullamcorper. Maecenas interdum, orci vitae convallis convallis, nisi tortor fermentum erat, fringilla pharetra ipsum nunc eu urna. Praesent accumsan ligula vel ligula blandit porttitor. Curabitur sit amet est quis quam commodo lobortis. Mauris congue laoreet mollis. Ut congue velit elit, luctus ultrices libero luctus aliquam. Suspendisse consequat massa at ante eleifend, et finibus metus hendrerit. Fusce elit odio, vestibulum eu velit id, faucibus consectetur mi. Vivamus eget porttitor libero, eget tincidunt mi. Ut rutrum urna lorem, sit amet gravida nunc ultrices nec. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas ligula mi, malesuada id suscipit ac, ornare nec elit. Suspendisse at augue in metus maximus laoreet. Vivamus egestas volutpat vestibulum. Mauris porttitor nisi eu turpis volutpat consectetur. Nunc ultricies nulla gravida, gravida lorem vitae, consequat velit. Nullam suscipit arcu eu lectus feugiat, at accumsan metus venenatis. Proin et tortor ex. Suspendisse potenti. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed in neque ut urna egestas commodo sit amet pulvinar orci. Nulla facilisi. Suspendisse ligula velit, tempor nec mollis nec, dignissim sit amet mi. Quisque sit amet nibh quam. Aliquam eu risus at magna tristique molestie a a eros. Praesent quis ornare libero, vitae molestie orci. Sed luctus sem a massa faucibus aliquet. Nam fermentum eros eget risus suscipit pharetra. Ut ac nisl ipsum. Nunc maximus urna nec ipsum pulvinar, ac ultricies magna sagittis. Sed semper odio turpis, sed sodales ante efficitur quis. Vivamus tincidunt, ipsum non tristique elementum, dolor eros vehicula leo, sit amet lobortis enim lectus ac dui. Vestibulum ut nisl nec nunc pharetra euismod at non odio. Donec vestibulum condimentum sagittis. Nunc quis tortor at libero maximus euismod. In non tortor consectetur, tristique lectus in, pulvinar metus. Vivamus interdum magna magna, id imperdiet tortor accumsan sed. Vestibulum vitae mauris ac lectus faucibus efficitur vitae quis ligula. Nam vel placerat turpis. Nam luctus suscipit pretium. Ut ut tristique tellus. Duis imperdiet condimentum accumsan. Nunc sodales ultrices dolor sed commodo. In quam arcu, maximus non enim quis, cursus feugiat erat. Etiam sollicitudin semper libero et dictum.

        
            
          <template>
            <div>
              <mdb-side-nav-2 :value="true" :data="navigation" push slim :slim-collapsed="collapsed"
                @toggleSlim="collapsed = $event" sidenav-class="unique-color-dark" color="white">
                <div slot="header">
                  <div class="d-flex align-items-center my-4" :class="
                          collapsed ? 'justify-content-center' : 'justify-content-start'
                        ">
                    <mdb-avatar :width="40" style="flex: 0 0 auto">
                      <img src="https://mdbootstrap.com/img/Photos/Avatars/avatar-7.webp"
                        class="img-fluid rounded-circle z-depth-1" />
                    </mdb-avatar>
                    <p class="m-t mb-0 ml-4 p-0" style="flex: 0 2 auto" v-show="!collapsed">
                      <strong>John Smith
                        <mdb-icon color="success" icon="circle" class="ml-2" size="sm" /></strong>
                    </p>
                  </div>
                  <hr class="w-100" />
                </div>
                <div slot="content" class="mt-5 d-flex justify-content-center">
                  <mdb-btn tag="a" class="mx-0" size="sm" transparent floating
                    :icon="collapsed ? 'chevron-right' : 'chevron-left'" icon-class="white-text"
                    @click="collapsed = !collapsed"></mdb-btn>
                </div>
                <mdb-navbar slot="nav" tag="div" :toggler="false" position="top" dark color="unique-color-dark">
                  <mdb-navbar-nav class="nav-flex-icons" right>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v1" waves-fixed icon="code-branch">
                      <span class="ml-1">v.1</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v2" waves-fixed icon="eye">
                      <span class="ml-1">v.2</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v3" waves-fixed icon="file-code" far>
                      <span class="ml-1">v.3</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v4" waves-fixed icon="terminal">
                      <span class="ml-1">v.4</span></mdb-nav-item>
                    <mdb-nav-item active to="/navigation/pro/double-navigation-v5" waves-fixed icon="smile" far>
                      <span class="ml-1">v.5</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v6" waves-fixed icon="user" far>
                      <span class="ml-1">v.6</span></mdb-nav-item>
                  </mdb-navbar-nav>
                </mdb-navbar>
                <div slot="main" style="height: 100vh">
                  <div class="view intro-2">
                    <div class="full-bg-img">
                      <div class="mask rgba-blue-grey-strong flex-center">
                        <div class="container">
                          <div class="white-text text-center">
                            <h2 class="font-weight-bold">
                              Double navigation v.5
                            </h2>
                            <hr />
                            <h3><strong>Navbar:</strong> <u>Fixed</u></h3>
                            <h3><strong>Sidenav:</strong> <u>Push</u></h3>
                            <mdb-btn rounded color="white" class="mt-5">
                              <router-link to="/navigation" class="dark-grey-text">Go back to the navigation menu
                              </router-link>
                            </mdb-btn>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </mdb-side-nav-2>
            </div>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbSideNav2,
              mdbAvatar,
              mdbBtn,
              mdbIcon,
              waves
            } from "mdbvue";
            export default {
              name: "DoubleNavigationPagev1",
              components: {
                mdbNavbar,
                mdbNavItem,
                mdbNavbarNav,
                mdbSideNav2,
                mdbAvatar,
                mdbBtn,
                mdbIcon
              },
              data() {
                return {
                  show: true,
                  collapsed: false,
                  navigation: [{
                      name: "Double navigation",
                      icon: "bars",
                      children: [{
                          name: "Version 1",
                          to: "/navigation/pro/double-navigation-v1"
                        },
                        {
                          name: "Version 2",
                          to: "/navigation/pro/double-navigation-v2"
                        },
                        {
                          name: "Version 3",
                          to: "/navigation/pro/double-navigation-v3"
                        },
                        {
                          name: "Version 4",
                          to: "/navigation/pro/double-navigation-v4"
                        },
                        {
                          name: "Version 5",
                          to: "/navigation/pro/double-navigation-v5"
                        },
                        {
                          name: "Version 6",
                          to: "/navigation/pro/double-navigation-v6"
                        }
                      ]
                    },
                    {
                      name: "Getting started",
                      icon: "mdb",
                      fab: true,
                      children: [{
                          name: "Quick start",
                          href: "https://mdbootstrap.com/docs/b4/vue/getting-started/quick-start/"
                        },
                        {
                          name: "Technical Support",
                          href: "https://mdbootstrap.com/support/"
                        }
                      ]
                    },
                    {
                      name: "Documentation",
                      icon: "graduation-cap",
                      href: "https://mdbootstrap.com/docs/b4/vue/"
                    }
                  ]
                };
              },
              mixins: [waves]
            };
          </script>
          
        
    
        
            
            <style scoped>
              .view {
                background: url("https://mdbootstrap.com/img/Photos/Others/img (55).webp") no-repeat center center;
                background-size: cover;
                height: 100%;
              }
              .navbar i {
                cursor: pointer;
                color: white;
              }
            </style>
            
        
    

Version 6: fixed Navbar & side SideNav (under) MDB Pro component

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras dictum purus non convallis fermentum. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Quisque commodo libero non nulla pretium elementum id quis dui. Donec pretium lorem vitae viverra molestie. Cras dictum nulla ac nibh tincidunt viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Praesent molestie magna nec felis interdum, eget ullamcorper risus vehicula. Nulla faucibus, ligula dignissim tristique ornare, enim purus convallis lectus, a bibendum lectus erat sit amet ipsum. Aenean elementum malesuada leo, eget convallis magna faucibus vitae. Sed fermentum hendrerit mauris vitae ullamcorper. Maecenas interdum, orci vitae convallis convallis, nisi tortor fermentum erat, fringilla pharetra ipsum nunc eu urna. Praesent accumsan ligula vel ligula blandit porttitor. Curabitur sit amet est quis quam commodo lobortis. Mauris congue laoreet mollis. Ut congue velit elit, luctus ultrices libero luctus aliquam. Suspendisse consequat massa at ante eleifend, et finibus metus hendrerit. Fusce elit odio, vestibulum eu velit id, faucibus consectetur mi. Vivamus eget porttitor libero, eget tincidunt mi. Ut rutrum urna lorem, sit amet gravida nunc ultrices nec. Interdum et malesuada fames ac ante ipsum primis in faucibus. Maecenas ligula mi, malesuada id suscipit ac, ornare nec elit. Suspendisse at augue in metus maximus laoreet. Vivamus egestas volutpat vestibulum. Mauris porttitor nisi eu turpis volutpat consectetur. Nunc ultricies nulla gravida, gravida lorem vitae, consequat velit. Nullam suscipit arcu eu lectus feugiat, at accumsan metus venenatis. Proin et tortor ex. Suspendisse potenti. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Sed in neque ut urna egestas commodo sit amet pulvinar orci. Nulla facilisi. Suspendisse ligula velit, tempor nec mollis nec, dignissim sit amet mi. Quisque sit amet nibh quam. Aliquam eu risus at magna tristique molestie a a eros. Praesent quis ornare libero, vitae molestie orci. Sed luctus sem a massa faucibus aliquet. Nam fermentum eros eget risus suscipit pharetra. Ut ac nisl ipsum. Nunc maximus urna nec ipsum pulvinar, ac ultricies magna sagittis. Sed semper odio turpis, sed sodales ante efficitur quis. Vivamus tincidunt, ipsum non tristique elementum, dolor eros vehicula leo, sit amet lobortis enim lectus ac dui. Vestibulum ut nisl nec nunc pharetra euismod at non odio. Donec vestibulum condimentum sagittis. Nunc quis tortor at libero maximus euismod. In non tortor consectetur, tristique lectus in, pulvinar metus. Vivamus interdum magna magna, id imperdiet tortor accumsan sed. Vestibulum vitae mauris ac lectus faucibus efficitur vitae quis ligula. Nam vel placerat turpis. Nam luctus suscipit pretium. Ut ut tristique tellus. Duis imperdiet condimentum accumsan. Nunc sodales ultrices dolor sed commodo. In quam arcu, maximus non enim quis, cursus feugiat erat. Etiam sollicitudin semper libero et dictum.

        
            
          <template>
            <div v-mdb-resize:start="checkWidth">
              <mdb-side-nav-2 v-model="show" :data="navigation" color="white" :over="over"
                :sidenav-class="['grey', 'darken-3']">
                <div slot="header" class="mt-5">
                  <div class="p-5">
                    <img src="https://mdbootstrap.com/img/logo/mdb-transparent.webp" class="img-fluid" />
                  </div>
                  <hr />
                  <ul class="list-unstyled d-flex justify-content-center">
                    <li>
                      <a href="#" class="px-3 icons-sm fb-ic">
                            <mdb-icon color="white" fab icon="facebook-f" />
                          </a>
                    </li>
                    <li>
                      <a href="#" class="px-3 icons-sm pin-ic">
                            <mdb-icon color="white" fab icon="pinterest-p" />
                          </a>
                    </li>
                    <li>
                      <a href="#" class="px-3 icons-sm gplus-ic">
                            <mdb-icon color="white" fab icon="google-plus-g" />
                          </a>
                    </li>
                    <li>
                      <a href="#" class="px-3 icons-sm tw-ic">
                            <mdb-icon color="white" fab icon="twitter" />
                          </a>
                    </li>
                  </ul>
                  <hr />
                </div>
                <mdb-navbar slot="nav" tag="div" position="top" color="teal" class="darken-4" dark :toggler="false"
                  :style="{ zIndex: '1061' }">
                  <mdb-navbar-nav left>
                    <mdb-icon icon="bars" class="white-text" size="lg" @click.native="show = !show" />
                  </mdb-navbar-nav>
                  <mdb-navbar-nav class="nav-flex-icons" right>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v1" waves-fixed icon="code-branch">
                      <span class="ml-1">v.1</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v2" waves-fixed icon="eye">
                      <span class="ml-1">v.2</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v3" waves-fixed icon="file-code" far>
                      <span class="ml-1">v.3</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v4" waves-fixed icon="terminal">
                      <span class="ml-1">v.4</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v5" waves-fixed icon="smile" far>
                      <span class="ml-1">v.5</span></mdb-nav-item>
                    <mdb-nav-item to="/navigation/pro/double-navigation-v6" waves-fixed icon="user" far active>
                      <span class="ml-1">v.6</span></mdb-nav-item>
                  </mdb-navbar-nav>
                </mdb-navbar>
                <div style="height: 100vh" slot="main">
                  <div class="view intro-2">
                    <div class="full-bg-img">
                      <div class="mask rgba-white-strong flex-center">
                        <div class="container">
                          <div class="dark-grey-text ">
                            <h2 class="font-weight-bold">
                              Double navigation v.6
                            </h2>
                            <hr />
                            <h3>
                              <strong>Navbar:</strong> <u>Fixed</u>, positioned
                              over the Sidenav
                            </h3>
                            <h3>
                              <strong>Sidenav:</strong> <u>Side</u> (changing to
                              <u>Over</u> below 900px breakpoint)
                            </h3>
                            <mdb-btn rounded color="grey" class="mt-5">
                              <router-link to="/navigation" class="white-text">Go back to the navigation menu
                              </router-link>
                            </mdb-btn>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </mdb-side-nav-2>
            </div>
          </template>
          
        
    
        
            
          <script>
            import {
              mdbNavbar,
              mdbNavItem,
              mdbNavbarNav,
              mdbSideNav2,
              mdbBtn,
              mdbIcon,
              waves,
              mdbResize
            } from "mdbvue";
            export default {
              name: "DoubleNavigationPagev1",
              components: {
                mdbNavbar,
                mdbNavItem,
                mdbNavbarNav,
                mdbSideNav2,
                mdbBtn,
                mdbIcon
              },
              data() {
                return {
                  show: false,
                  over: false,
                  navigation: [{
                      name: "Double navigation",
                      icon: "bars",
                      children: [{
                          name: "Version 1",
                          to: "/navigation/pro/double-navigation-v1"
                        },
                        {
                          name: "Version 2",
                          to: "/navigation/pro/double-navigation-v2"
                        },
                        {
                          name: "Version 3",
                          to: "/navigation/pro/double-navigation-v3"
                        },
                        {
                          name: "Version 4",
                          to: "/navigation/pro/double-navigation-v4"
                        },
                        {
                          name: "Version 5",
                          to: "/navigation/pro/double-navigation-v5"
                        },
                        {
                          name: "Version 6",
                          to: "/navigation/pro/double-navigation-v6"
                        }
                      ]
                    },
                    {
                      name: "Getting started",
                      icon: "mdb",
                      fab: true,
                      children: [{
                          name: "Quick start",
                          href: "https://mdbootstrap.com/docs/b4/vue/getting-started/quick-start/"
                        },
                        {
                          name: "Technical Support",
                          href: "https://mdbootstrap.com/support/"
                        }
                      ]
                    },
                    {
                      name: "Documentation",
                      icon: "graduation-cap",
                      href: "https://mdbootstrap.com/docs/b4/vue/"
                    }
                  ]
                };
              },
              methods: {
                checkWidth() {
                  this.over = window.innerWidth < 900;
                }
              },
              mixins: [waves],
              directives: {
                mdbResize
              }
            };
          </script>
          
        
    
        
            
          <style scoped>
            .view {
              background: url("https://mdbootstrap.com/img/Photos/Others/img (52).webp") no-repeat center center;
              background-size: cover;
              height: 100%;
            }
            .navbar i {
              cursor: pointer;
              color: white;
            }
          </style>

React Navigation

React Navigation - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5


React Bootstrap navigation is a combination of navbar, sidenav, and footer in various forms and different functionalities like non-fixed navbar or hidden sidenav.

1. Regular fixed Navbar

2. Regular non-fixed Navbar

3. Full Page Intro with non-fixed Navbar

4. Full Page Intro with fixed Navbar

5. Full Page Intro with fixed, transparent Navbar

6. Full Page Intro with non-fixed, transparent Navbar

7. Double Navigation with fixed SideNav & fixed Navbar

8. Double Navigation with fixed SideNav & non-fixed Navbar

9. Double Navigation with hidden SideNav & fixed Navbar

10. Double Navigation with hidden SideNav & non-fixed Navbar


Regular fixed Navbar

        
            

          import React from 'react';
          import { MDBContainer, MDBNavbar, MDBNavbarBrand, MDBNavbarNav, MDBNavbarToggler, MDBCollapse, MDBNavItem, MDBNavLink, MDBIcon } from 'mdbreact';
          import { BrowserRouter as Router } from 'react-router-dom';

          class FixedNavbarExample extends React.Component {
            constructor(props) {
              super(props);
              this.state = {
                collapse: false,
              };
              
              this.onClick = this.onClick.bind(this);
            }

            onClick() {
              this.setState({
                collapse: !this.state.collapse,
              });
            }

            render() {
              const bgPink = {backgroundColor: '#e91e63'}
              const container = {height: 1300}
              return(
                <div>
                  <Router>
                    <header>
                      <MDBNavbar style={bgPink} dark expand="md" scrolling fixed="top">
                        <MDBNavbarBrand href="/">
                            <strong>Navbar</strong>
                        </MDBNavbarBrand>
                        <MDBNavbarToggler onClick={ this.onClick } />
                        <MDBCollapse isOpen = { this.state.collapse } navbar>
                          <MDBNavbarNav left>
                            <MDBNavItem active>
                                <MDBNavLink to="#">Home</MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                                <MDBNavLink to="#">Features</MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                                <MDBNavLink to="#">Pricing</MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#">Options</MDBNavLink>
                            </MDBNavItem>
                          </MDBNavbarNav>
                          <MDBNavbarNav right>
                            <MDBNavItem>
                              <MDBNavLink to="#"><MDBIcon fab icon="facebook-f" /></MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#"><MDBIcon fab icon="twitter" /></MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#"><MDBIcon fab icon="instagram" /></MDBNavLink>
                            </MDBNavItem>
                          </MDBNavbarNav>
                        </MDBCollapse>
                      </MDBNavbar>
                    </header>
                  </Router>
                  <MDBContainer style={container} className="text-center mt-5 pt-5">
                    <h2>This Navbar is fixed</h2>
                    <h5>It will always stay visible on the top, even when you scroll down</h5>
                    <br/>
                    <p>Full page intro with background image will be always displayed in full screen mode, regardless of device</p>
                  </MDBContainer>
                </div>
              );
            }
          }

          export default FixedNavbarExample;
        
        
    

Regular non-fixed Navbar

        
            

          import React from 'react';
          import { MDBNavbar, MDBNavbarBrand, MDBNavbarNav, MDBNavbarToggler, MDBCollapse, MDBNavItem, MDBNavLink, MDBIcon, MDBContainer } from 'mdbreact';
          import { BrowserRouter as Router } from 'react-router-dom';

          class NonFixedNavbarExample extends React.Component {
            constructor(props) {
              super(props);
              this.state = {
                collapse: false,
              };
              this.onClick = this.onClick.bind(this);
            }

            onClick() {
              this.setState({
                collapse: !this.state.collapse,
              });
            }

            render() {
              const container = { height: 1300 }
              return (
                <div>
                  <Router>
                    <header>
                      <MDBNavbar color="default-color" dark expand="md">
                        <MDBNavbarBrand href="/">
                          <strong>Navbar</strong>
                        </MDBNavbarBrand>
                        <MDBNavbarToggler onClick={this.onClick} />
                        <MDBCollapse isOpen={this.state.collapse} navbar>
                          <MDBNavbarNav left>
                            <MDBNavItem active>
                              <MDBNavLink to="#">Home</MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#">Features</MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#">Pricing</MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#">Opinions</MDBNavLink>
                            </MDBNavItem>
                          </MDBNavbarNav>
                          <MDBNavbarNav right>
                            <MDBNavItem>
                              <MDBNavLink to="#"><MDBIcon fab icon="facebook-f" /></MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#"><MDBIcon fab icon="twitter" /></MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#"><MDBIcon fab icon="instagram" /></MDBNavLink>
                            </MDBNavItem>
                          </MDBNavbarNav>
                        </MDBCollapse>
                      </MDBNavbar>
                    </header>
                  </Router>
                  <MDBContainer style={container} className="text-center mt-5">
                    <h2>This Navbar isn't fixed</h2>
                    <h5>When you scroll down it will disappear</h5>
                  </MDBContainer>
                </div>
              );
            }
          }

          export default NonFixedNavbarExample;
        
        
    

Full Page Intro with non-fixed Navbar

        
            

          import React from 'react';
          import { MDBNavbar, MDBNavbarBrand, MDBNavbarNav, MDBNavbarToggler, MDBCollapse, MDBNavItem, MDBNavLink, MDBContainer, MDBView, MDBMask } from 'mdbreact';
          import { BrowserRouter as Router } from 'react-router-dom';

          class FullPageIntroWithNonFixedNavbar extends React.Component {
            constructor(props) {
              super(props);
              this.state = {
                collapse: false,
                isWideEnough: false,
              };
              this.onClick = this.onClick.bind(this);
            }

            onClick() {
              this.setState({
                collapse: !this.state.collapse,
              });
            }

            render() {
              return (
                <div>
                  <Router>
                    <header>
                      <MDBNavbar color="black" fixed="top" dark expand="md">
                        <MDBContainer>
                          <MDBNavbarBrand href="/">
                            <strong>Navbar</strong>
                          </MDBNavbarBrand>
                          <MDBNavbarToggler onClick={this.onClick} />
                          <MDBCollapse isOpen={this.state.collapse} navbar>
                            <MDBNavbarNav left>
                              <MDBNavItem active>
                                <MDBNavLink to="#">Home</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to="#">Link</MDBNavLink>
                              </MDBNavItem>
                              <MDBNavItem>
                                <MDBNavLink to="#">Profile</MDBNavLink>
                              </MDBNavItem>
                            </MDBNavbarNav>
                          </MDBCollapse>
                        </MDBContainer>
                      </MDBNavbar>

                    </Router>
                    <MDBView src="https://mdbootstrap.com/img/Photos/Others/img%20(51).webp">
                      <MDBMask overlay="black-strong" className="flex-center flex-column text-white text-center">
                        <h2>This Navbar isn't fixed</h2>
                        <h5>When you scroll down it will disappear</h5>
                        <br />
                        <p>Full page intro with background image will be always displayed in full screen mode, regardless of device </p>
                      </MDBMask>
                    </MDBView>
                  </header>

                  <main>
                    <MDBContainer className="text-center my-5">
                      <p align="justify">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,  quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis  aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla  pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia  deserunt mollit anim id est laborum.</p>
                    </MDBContainer>
                  </main>
                </div>
              );
            }
          }

          export default FullPageIntroWithNonFixedNavbar;

        
        
    

Full Page Intro with fixed Navbar

        
            

          import React from 'react';
          import { MDBNavbar, MDBNavbarBrand, MDBNavbarNav, MDBNavbarToggler, MDBCollapse, MDBNavItem, MDBNavLink, MDBContainer, MDBMask, MDBView } from 'mdbreact';
          import { BrowserRouter as Router } from 'react-router-dom';

          class FullPageIntroWithFixedNavbar extends React.Component {
            constructor(props) {
              super(props);
              this.state = {
                collapse: false,
                isWideEnough: false
              };
              this.onClick = this.onClick.bind(this);
            }

            onClick() {
              this.setState({
                collapse: !this.state.collapse
              });
            }

            render() {
              return (
                <div>
                  <header>
                    <Router>
                      <MDBNavbar color="indigo" dark expand="md" fixed="top">
                        <MDBNavbarBrand href="/">
                          <strong>Navbar</strong>
                        </MDBNavbarBrand>
                        {!this.state.isWideEnough && <MDBNavbarToggler onClick={this.onClick} />}
                        <MDBCollapse isOpen={this.state.collapse} navbar>
                          <MDBNavbarNav left>
                            <MDBNavItem active>
                              <MDBNavLink to="#">Home</MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#">Link</MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#">Profile</MDBNavLink>
                            </MDBNavItem>
                          </MDBNavbarNav>
                        </MDBCollapse>
                      </MDBNavbar>
                    </Router>

                    <MDBView src="https://mdbootstrap.com/img/Photos/Others/img%20(50).webp">
                      <MDBMask overlay="black-light" className="flex-center flex-column text-white text-center">
                        <h2>This Navbar is fixed</h2>
                        <h5>It will always stay visible on the top, even when you scroll down</h5>
                        <br />
                        <p>Full page intro with background image will be always displayed in full screen mode, regardless of device </p>
                      </MDBMask>
                    </MDBView>
                  </header>

                  <main>
                    <MDBContainer className="text-center my-5">
                      <p align="justify">Quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                    </MDBContainer>
                  </main>
                </div>
              );
            }
          }

          export default FullPageIntroWithFixedNavbar;

      
        
    

Full Page Intro with fixed, transparent Navbar

        
            

          import React from 'react';
          import { MDBNavbar, MDBNavbarBrand, MDBNavbarNav, MDBNavbarToggler, MDBCollapse, MDBNavItem, MDBNavLink, MDBContainer, MDBMask, MDBView } from 'mdbreact';
          import { BrowserRouter as Router } from 'react-router-dom';

          class FullPageIntroWithFixedTransparentNavbar extends React.Component {
            constructor(props) {
              super(props);
              this.state = {
                collapse: false,
                isWideEnough: false,
              };
              this.onClick = this.onClick.bind(this);
            }

            onClick() {
              this.setState({
                collapse: !this.state.collapse,
              });
            }

            render() {
              return (
                <div>
                  <header>
                    <Router>
                      <MDBNavbar color="bg-primary" fixed="top" dark expand="md" scrolling transparent>
                        <MDBNavbarBrand href="/">
                          <strong>Navbar</strong>
                        </MDBNavbarBrand>
                        {!this.state.isWideEnough && <MDBNavbarToggler onClick={this.onClick} />}
                        <MDBCollapse isOpen={this.state.collapse} navbar>
                          <MDBNavbarNav left>
                            <MDBNavItem active>
                              <MDBNavLink to="#">Home</MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#">Link</MDBNavLink>
                            </MDBNavItem>
                            <MDBNavItem>
                              <MDBNavLink to="#">Profile</MDBNavLink>
                            </MDBNavItem>
                          </MDBNavbarNav>
                        </MDBCollapse>
                      </MDBNavbar>
                    </Router>

                    <MDBView src="https://mdbootstrap.com/img/Photos/Others/img%20(40).webp">
                      <MDBMask overlay="purple-light" className="flex-center flex-column text-white text-center">
                        <h2>This Navbar is fixed</h2>
                        <h5>It will always stay visible on the top, even when you scroll down</h5>
                        <p>Navbar's background will switch from transparent to solid color while scrolling down</p><br />
                        <p>Full page intro with background image will be always displayed in full screen mode, regardless of device </p>
                      </MDBMask>
                    </MDBView>
                  </header>

                  <main>
                    <MDBContainer className="text-center my-5">
                      <p align="justify">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                    </MDBContainer>
                  </main>
                </div>
              );
            }
          }

          export default FullPageIntroWithFixedTransparentNavbar;
        
        
    

Full Page Intro with non-fixed, transparent Navbar

        
            
          import React from 'react';
          import { MDBNavbar, MDBNavbarBrand, MDBNavbarNav, MDBNavbarToggler, MDBCollapse, MDBNavItem, MDBNavLink, MDBContainer, MDBMask, MDBView } from 'mdbreact';
          import { BrowserRouter as Router } from 'react-router-dom';

          class FullPageIntroWithNonFixedTransparentNavbar extends React.Component {
            constructor(props) {
              super(props);
              this.state = {
                collapse: false,
              };
              this.onClick = this.onClick.bind(this);
            }

            onClick() {
              this.setState({
                collapse: !this.state.collapse,
              });
            }

            render() {
              return (
                <div>
                  <header>
                    <MDBView src="https://mdbootstrap.com/img/Photos/Others/img%20(42).webp">
                      <Router>
                        <MDBNavbar dark expand="md">
                          <MDBContainer>
                            <MDBNavbarBrand href="/">
                              <strong>Navbar</strong>
                            </MDBNavbarBrand>
                            <MDBNavbarToggler onClick={this.onClick} />
                            <MDBCollapse isOpen={this.state.collapse} navbar>
                              <MDBNavbarNav left>
                                <MDBNavItem active>
                                  <MDBNavLink to="#">Home</MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to="#">Link</MDBNavLink>
                                </MDBNavItem>
                                <MDBNavItem>
                                  <MDBNavLink to="#">Profile</MDBNavLink>
                                </MDBNavItem>
                              </MDBNavbarNav>
                            </MDBCollapse>
                          </MDBContainer>
                        </MDBNavbar>
                      </Router>

                      <MDBMask overlay="indigo-slight" className="flex-center flex-column text-white text-center">
                        <h2>This Navbar isn't fixed</h2>
                        <h5>When you scroll down it will disappear</h5><br />
                        <p>Full page intro with background image will be always displayed in full screen mode, regardless of device </p>
                      </MDBMask>
                    </MDBView>
                  </header>

                  <main>
                    <MDBContainer className="text-center my-5">
                      <p align="justify">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
                    </MDBContainer>
                  </main>
                </div>
              );
            }
          }

          export default FullPageIntroWithNonFixedTransparentNavbar;
        
        
    

Double Navigation with fixed SideNav & fixed Navbar MDB Pro component

        
            
          import React from "react";
          import { BrowserRouter as Router } from "react-router-dom";
          import { MDBInput, MDBNavbar, MDBNavbarNav, MDBNavItem, MDBNavLink, MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBIcon, MDBSideNavItem, MDBSideNavCat, MDBSideNavNav, MDBSideNav, MDBContainer } from "mdbreact";

          class DoubleNavigationPage extends React.Component {
            constructor(props) {
              super(props);
              this.state = {
                toggleStateA: false,
                breakWidth: 1300,
                windowWidth: 0
              };
            }

            componentDidMount() {
              this.handleResize();
              window.addEventListener("resize", this.handleResize);
            }

            componentWillUnmount() {
              window.removeEventListener("resize", this.handleResize);
            }

            handleResize = () =>
              this.setState({
                windowWidth: window.innerWidth
              });

            handleToggleClickA = () => {
              this.setState({
                toggleStateA: !this.state.toggleStateA
              });
            };

            render() {
              const navStyle = {
                paddingLeft:
                  this.state.windowWidth > this.state.breakWidth ? "210px" : "16px"
              };

              const mainStyle = {
                margin: "0 6%",
                paddingTop: "5.5rem",
                paddingLeft:
                  this.state.windowWidth > this.state.breakWidth ? "240px" : "0"
              };

              const specialCaseNavbarStyles = {
                WebkitBoxOrient: "horizontal",
                flexDirection: "row"
              };

              return (
                <Router>
                  <div className="fixed-sn light-blue-skin">
                    <MDBSideNav
                      logo="https://mdbootstrap.com/img/logo/mdb-transparent.webp"
                      triggerOpening={this.state.toggleStateA}
                      breakWidth={this.state.breakWidth}
                      bg="https://mdbootstrap.com/img/Photos/Others/sidenav4.webp"
                      mask="strong"
                      fixed
                    >
                      <li>
                        <ul className="social">
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="facebook-f" />
                            </a>
                          </li>
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="pinterest" />
                            </a>
                          </li>
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="google-plus-g" />
                            </a>
                          </li>
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="twitter" />
                            </a>
                          </li>
                        </ul>
                      </li>
                      <MDBInput
                        type="text"
                        hint="Search"
                        style={{
                          color: "#fff",
                          padding: "0 10px 8px 30px",
                          boxSizing: "border-box"
                        }}
                      />
                      <MDBSideNavNav>
                        <MDBSideNavCat
                          name="Submit blog"
                          id="submit-blog-cat"
                          icon="chevron-right"
                        >
                          <MDBSideNavItem>Submit listing</MDBSideNavItem>
                          <MDBSideNavItem>Registration form</MDBSideNavItem>
                        </MDBSideNavCat>
                        <MDBSideNavCat
                          iconRegular
                          name="Instruction"
                          id="instruction-cat"
                          icon="hand-pointer"
                        >
                          <MDBSideNavItem>For bloggers</MDBSideNavItem>
                          <MDBSideNavItem>For authors</MDBSideNavItem>
                        </MDBSideNavCat>
                        <MDBSideNavCat name="About" id="about-cat" icon="eye">
                          <MDBSideNavItem>Instruction</MDBSideNavItem>
                          <MDBSideNavItem>Monthly meetings</MDBSideNavItem>
                        </MDBSideNavCat>
                        <MDBSideNavCat
                          name="Contact me"
                          id="contact-me-cat"
                          icon="envelope"
                        >
                          <MDBSideNavItem>FAQ</MDBSideNavItem>
                          <MDBSideNavItem>Write a message</MDBSideNavItem>
                        </MDBSideNavCat>
                      </MDBSideNavNav>
                    </MDBSideNav>
                    <MDBNavbar style={navStyle} double expand="md" fixed="top" scrolling>
                      <MDBNavbarNav left>
                        <MDBNavItem>
                          <div
                            onClick={this.handleToggleClickA}
                            key="sideNavToggleA"
                            style={{
                              lineHeight: "32px",
                              marginRight: "1em",
                              verticalAlign: "middle"
                            }}
                          >
                            <MDBIcon icon="bars" color="white" size="2x" />
                          </div>
                        </MDBNavItem>
                        <MDBNavItem className="d-none d-md-inline" style={{ paddingTop: 5 }}>
                          Material Design for Bootstrap
                        </MDBNavItem>
                      </MDBNavbarNav>
                      <MDBNavbarNav right style={specialCaseNavbarStyles}>
                        <MDBNavItem active>
                          <MDBNavLink to="#!">
                            <MDBIcon icon="envelope" className="d-inline-inline" />{" "}
                            <div className="d-none d-md-inline">Contact</div>
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">
                            <MDBIcon far icon="comments" className="d-inline-inline" />{" "}
                            <div className="d-none d-md-inline">Support</div>
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">
                            <MDBIcon icon="user" className="d-inline-inline" />{" "}
                            <div className="d-none d-md-inline">Account</div>
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBDropdown>
                            <MDBDropdownToggle nav caret>
                              <div className="d-none d-md-inline">Dropdown</div>
                            </MDBDropdownToggle>
                            <MDBDropdownMenu right>
                              <MDBDropdownItem href="#!">Action</MDBDropdownItem>
                              <MDBDropdownItem href="#!">Another Action</MDBDropdownItem>
                              <MDBDropdownItem href="#!">Something else here</MDBDropdownItem>
                              <MDBDropdownItem href="#!">Something else here</MDBDropdownItem>
                            </MDBDropdownMenu>
                          </MDBDropdown>
                        </MDBNavItem>
                      </MDBNavbarNav>
                    </MDBNavbar>
                    <main style={mainStyle}>
                      <MDBContainer fluid style={{ height: 2000 }} className="mt-5">
                        <h2>
                          Advanced Double Navigation with fixed SideNav & fixed Navbar:
                        </h2>
                        <br />
                        <h5>1. Fixed side menu, hidden on small devices.</h5>
                        <h5>
                          2. Fixed Navbar. It will always stay visible on the top, even
                          when you scroll down.
                        </h5>
                      </MDBContainer>
                    </main>
                  </div>
                </Router>
              );
            }
          }

          export default DoubleNavigationPage;
        
        
    

Double Navigation with fixed SideNav & non-fixed Navbar MDB Pro component

        
            
          import React from "react";
          import { BrowserRouter as Router } from "react-router-dom";
          import { MDBInput, MDBNavbar, MDBNavbarNav, MDBNavItem, MDBNavLink, MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBIcon, MDBSideNavItem, MDBSideNavCat, MDBSideNavNav, MDBSideNav, MDBContainer } from "mdbreact";

          class DoubleNavigationPage extends React.Component {
            constructor(props) {
              super(props);
              this.state = {
                toggleStateA: false,
                breakWidth: 1300,
                windowWidth: 0
              };
            }

            componentDidMount() {
              this.handleResize();
              window.addEventListener("resize", this.handleResize);
            }

            componentWillUnmount() {
              window.removeEventListener("resize", this.handleResize);
            }

            handleResize = () =>
              this.setState({
                windowWidth: window.innerWidth
              });

            handleToggleClickA = () => {
              this.setState({
                toggleStateA: !this.state.toggleStateA
              });
            };

            render() {
              const navStyle = {
                paddingLeft:
                  this.state.windowWidth > this.state.breakWidth ? "210px" : "16px"
              };

              const mainStyle = {
                margin: "0 6%",
                paddingTop: "5.5rem",
                paddingLeft:
                  this.state.windowWidth > this.state.breakWidth ? "240px" : "0"
              };

              const specialCaseNavbarStyles = {
                WebkitBoxOrient: "horizontal",
                flexDirection: "row"
              };

              return (
                <Router>
                  <div className="fixed-sn pink-skin">
                    <MDBSideNav
                      logo="https://mdbootstrap.com/img/logo/mdb-transparent.webp"
                      triggerOpening={this.state.toggleStateA}
                      breakWidth={this.state.breakWidth}
                      bg="https://mdbootstrap.com/img/Photos/Others/sidenav4.webp"
                      mask="strong"
                      fixed
                    >
                      <li>
                        <ul className="social">
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="facebook-f" />
                            </a>
                          </li>
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="pinterest" />
                            </a>
                          </li>
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="google-plus-g" />
                            </a>
                          </li>
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="twitter" />
                            </a>
                          </li>
                        </ul>
                      </li>
                      <MDBInput
                        type="text"
                        hint="Search"
                        style={{
                          color: "#fff",
                          padding: "0 10px 8px 30px",
                          boxSizing: "border-box"
                        }}
                      />
                      <MDBSideNavNav>
                        <MDBSideNavCat
                          name="Submit blog"
                          id="submit-blog-cat"
                          icon="chevron-right"
                        >
                          <MDBSideNavItem>Submit listing</MDBSideNavItem>
                          <MDBSideNavItem>Registration form</MDBSideNavItem>
                        </MDBSideNavCat>
                        <MDBSideNavCat
                          iconRegular
                          name="Instruction"
                          id="instruction-cat"
                          icon="hand-pointer"
                        >
                          <MDBSideNavItem>For bloggers</MDBSideNavItem>
                          <MDBSideNavItem>For authors</MDBSideNavItem>
                        </MDBSideNavCat>
                        <MDBSideNavCat name="About" id="about-cat" icon="eye">
                          <MDBSideNavItem>Instruction</MDBSideNavItem>
                          <MDBSideNavItem>Monthly meetings</MDBSideNavItem>
                        </MDBSideNavCat>
                        <MDBSideNavCat
                          name="Contact me"
                          id="contact-me-cat"
                          icon="envelope"
                        >
                          <MDBSideNavItem>FAQ</MDBSideNavItem>
                          <MDBSideNavItem>Write a message</MDBSideNavItem>
                        </MDBSideNavCat>
                      </MDBSideNavNav>
                    </MDBSideNav>
                    <MDBNavbar style={navStyle} double expand="md">
                      <MDBNavbarNav left>
                        <MDBNavItem>
                          <div
                            onClick={this.handleToggleClickA}
                            key="sideNavToggleA"
                            style={{
                              lineHeight: "32px",
                              marginRight: "1em",
                              verticalAlign: "middle"
                            }}
                          >
                            <MDBIcon icon="bars" color="white" size="2x" />
                          </div>
                        </MDBNavItem>
                        <MDBNavItem className="d-none d-md-inline" style={{ paddingTop: 5 }}>
                          Material Design for Bootstrap
                        </MDBNavItem>
                      </MDBNavbarNav>
                      <MDBNavbarNav right style={specialCaseNavbarStyles}>
                        <MDBNavItem active>
                          <MDBNavLink to="#!">
                            <MDBIcon icon="envelope" className="d-inline-inline" />{" "}
                            <div className="d-none d-md-inline">Contact</div>
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">
                            <MDBIcon far icon="comments" className="d-inline-inline" />{" "}
                            <div className="d-none d-md-inline">Support</div>
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">
                            <MDBIcon icon="user" className="d-inline-inline" />{" "}
                            <div className="d-none d-md-inline">Account</div>
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBDropdown>
                            <MDBDropdownToggle nav caret>
                              <div className="d-none d-md-inline">Dropdown</div>
                            </MDBDropdownToggle>
                            <MDBDropdownMenu right>
                              <MDBDropdownItem href="#!">Action</MDBDropdownItem>
                              <MDBDropdownItem href="#!">Another Action</MDBDropdownItem>
                              <MDBDropdownItem href="#!">Something else here</MDBDropdownItem>
                              <MDBDropdownItem href="#!">Something else here</MDBDropdownItem>
                            </MDBDropdownMenu>
                          </MDBDropdown>
                        </MDBNavItem>
                      </MDBNavbarNav>
                    </MDBNavbar>
                    <main style={mainStyle}>
                      <MDBContainer fluid style={{ height: 2000 }} className="mt-5">
                        <h2>Advanced Double Navigation with fixed SideNav & non-fixed Navbar:</h2>
                        <br />
                        <h5>1. Fixed side menu, hidden on small devices.</h5>
                        <h5>2. Non-fixed Navbar. It will disappear when you scroll down.</h5>
                      </MDBContainer>
                    </main>
                  </div>
                </Router>
              );
            }
          }

          export default DoubleNavigationPage;
        
        
    

Double Navigation with hidden SideNav & fixed Navbar MDB Pro component

        
            
          import React from "react";
          import { BrowserRouter as Router } from "react-router-dom";
          import { MDBInput, MDBNavbar, MDBNavbarNav, MDBNavItem, MDBNavLink, MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBIcon, MDBSideNavItem, MDBSideNavCat, MDBSideNavNav, MDBSideNav, MDBContainer } from "mdbreact";

          class DoubleNavigationPage extends React.Component {
            constructor(props) {
              super(props);
              this.state = {
                toggleStateA: false
              };
            }

            handleToggleClickA = () => {
              this.setState({
                toggleStateA: !this.state.toggleStateA
              });
            };

            render() {
              const mainStyle = {
                paddingTop: "5rem"
              };

              const specialCaseNavbarStyles = {
                WebkitBoxOrient: "horizontal",
                flexDirection: "row"
              };

              return (
                <Router>
                  <div className="mdb-skin">
                    <MDBSideNav
                      logo="https://mdbootstrap.com/img/logo/mdb-transparent.webp"
                      triggerOpening={this.state.toggleStateA}
                      bg="https://mdbootstrap.com/img/Photos/Others/sidenav4.webp"
                      mask="strong"
                      hidden
                    >
                      <li>
                        <ul className="social">
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="facebook-f" />
                            </a>
                          </li>
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="pinterest" />
                            </a>
                          </li>
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="google-plus-g" />
                            </a>
                          </li>
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="twitter" />
                            </a>
                          </li>
                        </ul>
                      </li>
                      <MDBInput
                        type="text"
                        hint="Search"
                        style={{
                          color: "#fff",
                          padding: "0 10px 8px 30px",
                          boxSizing: "border-box"
                        }}
                      />
                      <MDBSideNavNav>
                        <MDBSideNavCat
                          name="Submit blog"
                          id="submit-blog-cat"
                          icon="chevron-right"
                        >
                          <MDBSideNavItem>Submit listing</MDBSideNavItem>
                          <MDBSideNavItem>Registration form</MDBSideNavItem>
                        </MDBSideNavCat>
                        <MDBSideNavCat
                          iconRegular
                          name="Instruction"
                          id="instruction-cat"
                          icon="hand-pointer"
                        >
                          <MDBSideNavItem>For bloggers</MDBSideNavItem>
                          <MDBSideNavItem>For authors</MDBSideNavItem>
                        </MDBSideNavCat>
                        <MDBSideNavCat name="About" id="about-cat" icon="eye">
                          <MDBSideNavItem>Instruction</MDBSideNavItem>
                          <MDBSideNavItem>Monthly meetings</MDBSideNavItem>
                        </MDBSideNavCat>
                        <MDBSideNavCat
                          name="Contact me"
                          id="contact-me-cat"
                          icon="envelope"
                        >
                          <MDBSideNavItem>FAQ</MDBSideNavItem>
                          <MDBSideNavItem>Write a message</MDBSideNavItem>
                        </MDBSideNavCat>
                      </MDBSideNavNav>
                    </MDBSideNav>
                    <MDBNavbar double expand="md" fixed="top" scrolling>
                      <MDBNavbarNav left>
                        <MDBNavItem>
                          <div
                            onClick={this.handleToggleClickA}
                            key="sideNavToggleA"
                            style={{
                              lineHeight: "32px",
                              marginRight: "1em",
                              verticalAlign: "middle"
                            }}
                          >
                            <MDBIcon icon="bars" color="white" size="2x" />
                          </div>
                        </MDBNavItem>
                        <MDBNavItem className="d-none d-md-inline" style={{ paddingTop: 5 }}>
                          Material Design for Bootstrap
                        </MDBNavItem>
                      </MDBNavbarNav>
                      <MDBNavbarNav right style={specialCaseNavbarStyles}>
                        <MDBNavItem active>
                          <MDBNavLink to="#!">
                            <MDBIcon icon="envelope" className="d-inline-inline" />{" "}
                            <div className="d-none d-md-inline">Contact</div>
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">
                            <MDBIcon far icon="comments" className="d-inline-inline" />{" "}
                            <div className="d-none d-md-inline">Support</div>
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">
                            <MDBIcon icon="user" className="d-inline-inline" />{" "}
                            <div className="d-none d-md-inline">Account</div>
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBDropdown>
                            <MDBDropdownToggle nav caret>
                              <div className="d-none d-md-inline">Dropdown</div>
                            </MDBDropdownToggle>
                            <MDBDropdownMenu right>
                              <MDBDropdownItem href="#!">Action</MDBDropdownItem>
                              <MDBDropdownItem href="#!">Another Action</MDBDropdownItem>
                              <MDBDropdownItem href="#!">Something else here</MDBDropdownItem>
                              <MDBDropdownItem href="#!">Something else here</MDBDropdownItem>
                            </MDBDropdownMenu>
                          </MDBDropdown>
                        </MDBNavItem>
                      </MDBNavbarNav>
                    </MDBNavbar>
                    <main style={mainStyle}>
                      <MDBContainer fluid style={{ height: 2000 }} className="mt-5">
                        <h2>Advanced Double Navigation with hidden SideNav & fixed Navbar:</h2>
                        <br />
                        <h5>1. Hidden side menu. Click "hamburger" icon in the top left corner to open it.</h5>
                        <h5>2. Fixed navbar. It will always stay visible on the top, even when you scroll down.</h5>
                      </MDBContainer>
                    </main>
                  </div>
                </Router>
              );
            }
          }

          export default DoubleNavigationPage;
        
        
    

Double Navigation with hidden SideNav & non-fixed Navbar MDB Pro component

        
            
          import React from "react";
          import { BrowserRouter as Router } from "react-router-dom";
          import { MDBInput, MDBNavbar, MDBNavbarNav, MDBNavItem, MDBNavLink, MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBIcon, MDBSideNavItem, MDBSideNavCat, MDBSideNavNav, MDBSideNav, MDBContainer } from "mdbreact";

          class DoubleNavigationPage extends React.Component {
            constructor(props) {
              super(props);
              this.state = {
                toggleStateA: false
              };
            }

            handleToggleClickA = () => {
              this.setState({
                toggleStateA: !this.state.toggleStateA
              });
            };

            render() {
              const mainStyle = {
                paddingTop: "4rem"
              };

              const specialCaseNavbarStyles = {
                WebkitBoxOrient: "horizontal",
                flexDirection: "row"
              };

              return (
                <Router>
                  <div className="grey-skin">
                    <MDBSideNav
                      logo="https://mdbootstrap.com/img/logo/mdb-transparent.webp"
                      triggerOpening={this.state.toggleStateA}
                      bg="https://mdbootstrap.com/img/Photos/Others/sidenav4.webp"
                      mask="strong"
                      hidden
                    >
                      <li>
                        <ul className="social">
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="facebook-f" />
                            </a>
                          </li>
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="pinterest" />
                            </a>
                          </li>
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="google-plus-g" />
                            </a>
                          </li>
                          <li>
                            <a href="#!">
                              <MDBIcon fab icon="twitter" />
                            </a>
                          </li>
                        </ul>
                      </li>
                      <MDBInput
                        type="text"
                        hint="Search"
                        style={{
                          color: "#fff",
                          padding: "0 10px 8px 30px",
                          boxSizing: "border-box"
                        }}
                      />
                      <MDBSideNavNav>
                        <MDBSideNavCat
                          name="Submit blog"
                          id="submit-blog-cat"
                          icon="chevron-right"
                        >
                          <MDBSideNavItem>Submit listing</MDBSideNavItem>
                          <MDBSideNavItem>Registration form</MDBSideNavItem>
                        </MDBSideNavCat>
                        <MDBSideNavCat
                          iconRegular
                          name="Instruction"
                          id="instruction-cat"
                          icon="hand-pointer"
                        >
                          <MDBSideNavItem>For bloggers</MDBSideNavItem>
                          <MDBSideNavItem>For authors</MDBSideNavItem>
                        </MDBSideNavCat>
                        <MDBSideNavCat name="About" id="about-cat" icon="eye">
                          <MDBSideNavItem>Instruction</MDBSideNavItem>
                          <MDBSideNavItem>Monthly meetings</MDBSideNavItem>
                        </MDBSideNavCat>
                        <MDBSideNavCat
                          name="Contact me"
                          id="contact-me-cat"
                          icon="envelope"
                        >
                          <MDBSideNavItem>FAQ</MDBSideNavItem>
                          <MDBSideNavItem>Write a message</MDBSideNavItem>
                        </MDBSideNavCat>
                      </MDBSideNavNav>
                    </MDBSideNav>
                    <MDBNavbar double expand="md">
                      <MDBNavbarNav left>
                        <MDBNavItem>
                          <div
                            onClick={this.handleToggleClickA}
                            key="sideNavToggleA"
                            style={{
                              lineHeight: "32px",
                              marginRight: "1em",
                              verticalAlign: "middle"
                            }}
                          >
                            <MDBIcon icon="bars" color="white" size="2x" />
                          </div>
                        </MDBNavItem>
                        <MDBNavItem className="d-none d-md-inline" style={{ paddingTop: 5 }}>
                          Material Design for Bootstrap
                        </MDBNavItem>
                      </MDBNavbarNav>
                      <MDBNavbarNav right style={specialCaseNavbarStyles}>
                        <MDBNavItem active>
                          <MDBNavLink to="#!">
                            <MDBIcon icon="envelope" className="d-inline-inline" />{" "}
                            <div className="d-none d-md-inline">Contact</div>
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">
                            <MDBIcon far icon="comments" className="d-inline-inline" />{" "}
                            <div className="d-none d-md-inline">Support</div>
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBNavLink to="#!">
                            <MDBIcon icon="user" className="d-inline-inline" />{" "}
                            <div className="d-none d-md-inline">Account</div>
                          </MDBNavLink>
                        </MDBNavItem>
                        <MDBNavItem>
                          <MDBDropdown>
                            <MDBDropdownToggle nav caret>
                              <div className="d-none d-md-inline">Dropdown</div>
                            </MDBDropdownToggle>
                            <MDBDropdownMenu right>
                              <MDBDropdownItem href="#!">Action</MDBDropdownItem>
                              <MDBDropdownItem href="#!">Another Action</MDBDropdownItem>
                              <MDBDropdownItem href="#!">Something else here</MDBDropdownItem>
                              <MDBDropdownItem href="#!">Something else here</MDBDropdownItem>
                            </MDBDropdownMenu>
                          </MDBDropdown>
                        </MDBNavItem>
                      </MDBNavbarNav>
                    </MDBNavbar>
                    <main style={mainStyle}>
                      <MDBContainer fluid style={{ height: 2000 }} className="mt-5">
                        <h2>Advanced Double Navigation with hidden SideNav & non-fixed Navbar:</h2>
                        <br />
                        <h5>1. Hidden side menu. Click "hamburger" icon in the top left corner to open it.</h5>
                        <h5>2. Non-fixed navbar. When you scroll down it will disappear.</h5>
                      </MDBContainer>
                    </main>
                  </div>
                </Router>
              );
            }
          }

          export default DoubleNavigationPage;